// Generated by delombok at Mon Oct 04 14:27:44 EDT 2021
package gov.cms.fiss.pricers.irf.api;

import gov.cms.fiss.pricers.common.api.PricerObj;
import io.swagger.v3.oas.annotations.extensions.Extension;
import io.swagger.v3.oas.annotations.extensions.ExtensionProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import javax.validation.Valid;
import javax.validation.constraints.NotNull;

@Schema(description = "IRF claim input for processing.")
public class IrfInput extends PricerObj {
  @Schema(description = "Id of request", example = "123")
  private long requestId;
  @Schema(description = "The billing information associated with the claim.", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "BILL-NEW-DATA", value = "<structure>")})})
  @NotNull
  @Valid
  private BillingRecord billingRecord;
  @Schema(description = "The provider-specific information for the claim.", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PROV-NEW-HOLD", value = "<structure>")})})
  @NotNull
  @Valid
  private ProviderRecord providerRecord;

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public IrfInput(final long requestId, final BillingRecord billingRecord, final ProviderRecord providerRecord) {
    this.requestId = requestId;
    this.billingRecord = billingRecord;
    this.providerRecord = providerRecord;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public long getRequestId() {
    return this.requestId;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BillingRecord getBillingRecord() {
    return this.billingRecord;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public ProviderRecord getProviderRecord() {
    return this.providerRecord;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setRequestId(final long requestId) {
    this.requestId = requestId;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setBillingRecord(final BillingRecord billingRecord) {
    this.billingRecord = billingRecord;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setProviderRecord(final ProviderRecord providerRecord) {
    this.providerRecord = providerRecord;
  }

  @java.lang.Override
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public boolean equals(final java.lang.Object o) {
    if (o == this) return true;
    if (!(o instanceof IrfInput)) return false;
    final IrfInput other = (IrfInput) o;
    if (!other.canEqual((java.lang.Object) this)) return false;
    if (!super.equals(o)) return false;
    if (this.getRequestId() != other.getRequestId()) return false;
    final java.lang.Object this$billingRecord = this.getBillingRecord();
    final java.lang.Object other$billingRecord = other.getBillingRecord();
    if (this$billingRecord == null ? other$billingRecord != null : !this$billingRecord.equals(other$billingRecord)) return false;
    final java.lang.Object this$providerRecord = this.getProviderRecord();
    final java.lang.Object other$providerRecord = other.getProviderRecord();
    if (this$providerRecord == null ? other$providerRecord != null : !this$providerRecord.equals(other$providerRecord)) return false;
    return true;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  protected boolean canEqual(final java.lang.Object other) {
    return other instanceof IrfInput;
  }

  @java.lang.Override
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public int hashCode() {
    final int PRIME = 59;
    int result = super.hashCode();
    final long $requestId = this.getRequestId();
    result = result * PRIME + (int) ($requestId >>> 32 ^ $requestId);
    final java.lang.Object $billingRecord = this.getBillingRecord();
    result = result * PRIME + ($billingRecord == null ? 43 : $billingRecord.hashCode());
    final java.lang.Object $providerRecord = this.getProviderRecord();
    result = result * PRIME + ($providerRecord == null ? 43 : $providerRecord.hashCode());
    return result;
  }

  @java.lang.Override
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public java.lang.String toString() {
    return "IrfInput(requestId=" + this.getRequestId() + ", billingRecord=" + this.getBillingRecord() + ", providerRecord=" + this.getProviderRecord() + ")";
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public IrfInput() {
  }
}
