// Generated by delombok at Mon Oct 04 14:27:44 EDT 2021
package gov.cms.fiss.pricers.irf.api;

import com.fasterxml.jackson.annotation.JsonIgnore;
import gov.cms.fiss.pricers.irf.core.ResultCode;
import io.swagger.v3.oas.annotations.extensions.Extension;
import io.swagger.v3.oas.annotations.extensions.ExtensionProperty;
import io.swagger.v3.oas.annotations.media.Schema;

@Schema(description = "IRF result from processing.")
public class IrfResult {
  // This should really be an enum. We would need the list to do this though.
  @Schema(description = "A return code set by the Pricer to define the payment circumstances of the claim or " + "indicate an error in input data.", example = "52", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-RTC", value = "PIC 9(02)")})})
  private int code;
  @Schema(description = "Additional information explaining the reported return code.", example = "Invalid wage index")
  private String explanation;

  public static IrfResult fromResultCode(ResultCode resultCode) {
    final IrfResult irfResult = new IrfResult();
    irfResult.setCode(resultCode.getCode());
    irfResult.setExplanation(resultCode.getExplanation());
    return irfResult;
  }

  @JsonIgnore
  public ResultCode getResultCode() {
    return ResultCode.fromCode(code);
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public int getCode() {
    return this.code;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public String getExplanation() {
    return this.explanation;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setCode(final int code) {
    this.code = code;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setExplanation(final String explanation) {
    this.explanation = explanation;
  }

  @java.lang.Override
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public boolean equals(final java.lang.Object o) {
    if (o == this) return true;
    if (!(o instanceof IrfResult)) return false;
    final IrfResult other = (IrfResult) o;
    if (!other.canEqual((java.lang.Object) this)) return false;
    if (this.getCode() != other.getCode()) return false;
    final java.lang.Object this$explanation = this.getExplanation();
    final java.lang.Object other$explanation = other.getExplanation();
    if (this$explanation == null ? other$explanation != null : !this$explanation.equals(other$explanation)) return false;
    return true;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  protected boolean canEqual(final java.lang.Object other) {
    return other instanceof IrfResult;
  }

  @java.lang.Override
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public int hashCode() {
    final int PRIME = 59;
    int result = 1;
    result = result * PRIME + this.getCode();
    final java.lang.Object $explanation = this.getExplanation();
    result = result * PRIME + ($explanation == null ? 43 : $explanation.hashCode());
    return result;
  }

  @java.lang.Override
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public java.lang.String toString() {
    return "IrfResult(code=" + this.getCode() + ", explanation=" + this.getExplanation() + ")";
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public IrfResult() {
  }
}
