// Generated by delombok at Mon Oct 04 14:27:44 EDT 2021
package gov.cms.fiss.pricers.irf.api;

import io.swagger.v3.oas.annotations.extensions.Extension;
import io.swagger.v3.oas.annotations.extensions.ExtensionProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import java.math.BigDecimal;
import java.math.RoundingMode;

/**
 * Output values for the IrfPricer calculation.
 *
 * <p>Notes: - The # of decimal places for each fixed point decimal class was taken from the
 * original COBOL definition
 */
@Schema(description = "The prospective payment information.", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-DATA-ALL", value = "<structure>")})})
public class ProspectivePaymentRecord {
  @Schema(description = "IRF result from processing.")
  private IrfResult result;
  @Schema(description = "The total payment amount.", example = "622403.10", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-TOTAL-PAY-AMT", value = "PIC 9(07)V9(02)")})})
  private BigDecimal totalPaymentAmount = BigDecimal.ZERO.setScale(2, RoundingMode.HALF_UP);
  @Schema(description = "The total penalty amount.", example = "11028.10", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-TOTAL-PENALTY-AMT", value = "PIC 9(07)V9(02)")})})
  private BigDecimal totalPenaltyAmount = BigDecimal.ZERO.setScale(2, RoundingMode.HALF_UP);
  @Schema(description = "The federal payment amount.", example = "24596.30", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-FED-PAY-AMT", value = "PIC 9(07)V9(02)")})})
  private BigDecimal federalPaymentAmount = BigDecimal.ZERO.setScale(2, RoundingMode.HALF_UP);
  @Schema(description = "The federal penalty amount.", example = "8998.64", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-FED-PENALTY-AMT", value = "PIC 9(07)V9(02)")})})
  private BigDecimal federalPenaltyAmount = BigDecimal.ZERO.setScale(2, RoundingMode.HALF_UP);
  @Schema(description = "The federal rate.", example = "1.0000", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-FED-RATE-PCT", value = "PIC 9(01)V9(04)")})})
  private BigDecimal federalRatePercent = BigDecimal.ZERO.setScale(4, RoundingMode.HALF_UP);
  @Schema(description = "The facility specific payment amount.", example = "1234.56", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-FAC-SPEC-PAY-AMT", value = "PIC 9(07)V9(02)")})})
  private BigDecimal facilitySpecificPaymentAmount = BigDecimal.ZERO.setScale(2, RoundingMode.HALF_UP);
  @Schema(description = "The facility specific rate pre-blend.", example = "1.00", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-FAC-SPEC-RT-PREBLEND", value = "PIC 9(05)V9(02)")})})
  private BigDecimal facilitySpecificRatePreblend = BigDecimal.ZERO.setScale(2, RoundingMode.HALF_UP);
  @Schema(description = "The facility rate.", example = "0.1234", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-FAC-RATE-PCT", value = "PIC 9(01)V9(04)")})})
  private BigDecimal facilityRatePercent = BigDecimal.ZERO.setScale(4, RoundingMode.HALF_UP);
  @Schema(description = "The facility costs.", example = "5729.35", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-FAC-COSTS", value = "PIC 9(07)V9(02)")})})
  private BigDecimal facilityCosts = BigDecimal.ZERO.setScale(2, RoundingMode.HALF_UP);
  @Schema(description = "The outlier payment amount.", example = "9248.56", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-OUTLIER-PAY-AMT", value = "PIC 9(07)V9(02)")})})
  private BigDecimal outlierPaymentAmount = BigDecimal.ZERO.setScale(2, RoundingMode.HALF_UP);
  @Schema(description = "The outlier penalty amount.", example = "2139.56", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-OUT-PENALTY-AMT", value = "PIC 9(07)V9(02)")})})
  private BigDecimal outlierPenaltyAmount = BigDecimal.ZERO.setScale(2, RoundingMode.HALF_UP);
  @Schema(description = "The outlier threshold.", example = "16140.48", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-OUTLIER-THRESHOLD", value = "PIC 9(07)V9(02)")})})
  private BigDecimal outlierThreshold = BigDecimal.ZERO.setScale(2, RoundingMode.HALF_UP);
  @Schema(description = "The charge outlier threshold.", example = "28770.92", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-CHG-OUTLIER-THRESHOLD", value = "PIC 9(07)V9(02)")})})
  private BigDecimal chargeOutlierThreshold = BigDecimal.ZERO.setScale(2, RoundingMode.HALF_UP);
  @Schema(description = "The low-income patient (LIP) payment amount.", example = "168.65", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-LIP-PAY-AMT", value = "PIC 9(07)V9(02)")})})
  private BigDecimal lowIncomePaymentAmount = BigDecimal.ZERO.setScale(2, RoundingMode.HALF_UP);
  @Schema(description = "The low-income patient (LIP) payment penalty amount.", example = "1008.75,", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-LIP-PENALTY-AMT", value = "PIC 9(07)V9(02)")})})
  private BigDecimal lowIncomePaymentPenaltyAmount = BigDecimal.ZERO.setScale(2, RoundingMode.HALF_UP);
  @Schema(description = "The low-income patient (LIP) adjustment percentage.", example = "0.0212", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-LIP-PCT", value = "PIC 9(01)V9(04)")})})
  private BigDecimal lowIncomePaymentPercent = BigDecimal.ZERO.setScale(4, RoundingMode.HALF_UP);
  @Schema(description = "The teaching payment amount.", example = "35.12", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-TEACH-PAY-AMT", value = "PIC 9(07)V9(02)")})})
  private BigDecimal teachPaymentAmount = BigDecimal.ZERO.setScale(2, RoundingMode.HALF_UP);
  @Schema(description = "The teaching penalty amount.", example = "123.45", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-TEACH-PENALTY-AMT", value = "PIC 9(07)V9(02)")})})
  private BigDecimal teachPenaltyAmount = BigDecimal.ZERO.setScale(2, RoundingMode.HALF_UP);
  @Schema(description = "The national labor percent.", example = "0.72700", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-NAT-LABOR-PCT", value = "PIC 9(01)V9(05)")})})
  private BigDecimal nationalLaborPercent = BigDecimal.ZERO.setScale(5, RoundingMode.HALF_UP);
  @Schema(description = "The national non-labor percent.", example = "0.27300", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-NAT-NONLABOR-PCT", value = "PIC 9(01)V9(05)")})})
  private BigDecimal nationalNonLaborPercent = BigDecimal.ZERO.setScale(5, RoundingMode.HALF_UP);
  @Schema(description = "The national threshold adjustment.", example = "7984.00", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-NAT-THRESHOLD-ADJ", value = "PIC 9(05)V9(02)")})})
  private BigDecimal nationalThresholdAdjustment = BigDecimal.ZERO.setScale(2, RoundingMode.HALF_UP);
  @Schema(description = "The budget neutral conversion amount.", example = "15708.00", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-BDGT-NEUT-CONV-AMT", value = "PIC 9(05)V9(02)")})})
  private BigDecimal budgetNeutralConversionAmount = BigDecimal.ZERO.setScale(2, RoundingMode.HALF_UP);
  @Schema(description = "The rural adjustment.", example = "1.0000", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-RURAL-ADJUSTMENT", value = "PIC 9(01)V9(04)")})})
  private BigDecimal ruralAdjustment = BigDecimal.ZERO.setScale(4, RoundingMode.HALF_UP);
  @Schema(description = "The length of stay.", example = "12", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-LOS", value = "PIC 9(03)")})})
  private int lengthOfStay;
  @Schema(description = "The regular days used.", example = "5", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-REG-DAYS-USED", value = "PIC 9(03)")})})
  private int regularDaysUsed;
  @Schema(description = "The lifetime reserve (LTR) days used.", example = "24", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-LTR-DAYS-USED", value = "PIC 9(03)")})})
  private int lifetimeReserveDaysUsed;
  @Schema(description = "The average length of stay.", example = "17", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-AVG-LOS", value = "PIC 9(02)")})})
  private int averageLengthOfStay;
  @Schema(description = "The relative weight.", example = "1.5912", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-RELATIVE-WGT", value = "PIC 9(01)V9(04)")})})
  private BigDecimal relativeWeight = BigDecimal.ZERO.setScale(4, RoundingMode.HALF_UP);
  @Schema(description = "The transfer percentage.", example = "0.9722", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-TRANSFER-PCT", value = "PIC 9(01)V9(04)")})})
  private BigDecimal transferPercent = BigDecimal.ZERO.setScale(4, RoundingMode.HALF_UP);
  @Schema(description = "The standard payment amount.", example = "8085.74", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-STANDARD-PAY-AMT", value = "PIC 9(07)V9(02)")})})
  private BigDecimal standardPaymentAmount = BigDecimal.ZERO.setScale(2, RoundingMode.HALF_UP);
  @Schema(description = "The CBSA used in pricing the claim.", example = "33340", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-CBSA", value = "PIC X(05)")})})
  private String coreBasedStatisticalArea = "";
  @Schema(description = "The MSA used in pricing the claim.", example = "0040", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-MSA", value = "PIC X(04)")})})
  private String metropolitanStatisticalArea = "";
  @Schema(description = "The wage index used in pricing the claim.", example = "0.9768", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-WAGE-INDEX", value = "PIC 9(02)V9(04)")})})
  private BigDecimal wageIndex = BigDecimal.ZERO.setScale(4, RoundingMode.HALF_UP);
  @Schema(description = "The submitted CMG code.", example = "B0701", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-SUBM-CMG-CODE", value = "PIC X(05)")})})
  private String submittedCmgCode = "";
  @Schema(description = "The priced CMG code.", example = "A5103", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-PRICED-CMG-CODE", value = "PIC X(05)")})})
  private String pricedCmgCode = "";
  @Schema(description = "Calculation version used for claim processing.", example = "V20.1", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-CALC-VERS-CD", value = "PIC X(05)")})})
  private String calcVersionCode = "";
  @Schema(description = "The cost outlier threshold calculation indicator.", example = "Y", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PPS-COT-IND", value = "PIC X(01)")})})
  private String cotInd = "";

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public IrfResult getResult() {
    return this.result;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getTotalPaymentAmount() {
    return this.totalPaymentAmount;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getTotalPenaltyAmount() {
    return this.totalPenaltyAmount;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getFederalPaymentAmount() {
    return this.federalPaymentAmount;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getFederalPenaltyAmount() {
    return this.federalPenaltyAmount;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getFederalRatePercent() {
    return this.federalRatePercent;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getFacilitySpecificPaymentAmount() {
    return this.facilitySpecificPaymentAmount;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getFacilitySpecificRatePreblend() {
    return this.facilitySpecificRatePreblend;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getFacilityRatePercent() {
    return this.facilityRatePercent;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getFacilityCosts() {
    return this.facilityCosts;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getOutlierPaymentAmount() {
    return this.outlierPaymentAmount;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getOutlierPenaltyAmount() {
    return this.outlierPenaltyAmount;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getOutlierThreshold() {
    return this.outlierThreshold;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getChargeOutlierThreshold() {
    return this.chargeOutlierThreshold;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getLowIncomePaymentAmount() {
    return this.lowIncomePaymentAmount;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getLowIncomePaymentPenaltyAmount() {
    return this.lowIncomePaymentPenaltyAmount;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getLowIncomePaymentPercent() {
    return this.lowIncomePaymentPercent;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getTeachPaymentAmount() {
    return this.teachPaymentAmount;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getTeachPenaltyAmount() {
    return this.teachPenaltyAmount;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getNationalLaborPercent() {
    return this.nationalLaborPercent;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getNationalNonLaborPercent() {
    return this.nationalNonLaborPercent;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getNationalThresholdAdjustment() {
    return this.nationalThresholdAdjustment;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getBudgetNeutralConversionAmount() {
    return this.budgetNeutralConversionAmount;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getRuralAdjustment() {
    return this.ruralAdjustment;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public int getLengthOfStay() {
    return this.lengthOfStay;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public int getRegularDaysUsed() {
    return this.regularDaysUsed;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public int getLifetimeReserveDaysUsed() {
    return this.lifetimeReserveDaysUsed;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public int getAverageLengthOfStay() {
    return this.averageLengthOfStay;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getRelativeWeight() {
    return this.relativeWeight;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getTransferPercent() {
    return this.transferPercent;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getStandardPaymentAmount() {
    return this.standardPaymentAmount;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public String getCoreBasedStatisticalArea() {
    return this.coreBasedStatisticalArea;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public String getMetropolitanStatisticalArea() {
    return this.metropolitanStatisticalArea;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getWageIndex() {
    return this.wageIndex;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public String getSubmittedCmgCode() {
    return this.submittedCmgCode;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public String getPricedCmgCode() {
    return this.pricedCmgCode;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public String getCalcVersionCode() {
    return this.calcVersionCode;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public String getCotInd() {
    return this.cotInd;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setResult(final IrfResult result) {
    this.result = result;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setTotalPaymentAmount(final BigDecimal totalPaymentAmount) {
    this.totalPaymentAmount = totalPaymentAmount;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setTotalPenaltyAmount(final BigDecimal totalPenaltyAmount) {
    this.totalPenaltyAmount = totalPenaltyAmount;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setFederalPaymentAmount(final BigDecimal federalPaymentAmount) {
    this.federalPaymentAmount = federalPaymentAmount;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setFederalPenaltyAmount(final BigDecimal federalPenaltyAmount) {
    this.federalPenaltyAmount = federalPenaltyAmount;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setFederalRatePercent(final BigDecimal federalRatePercent) {
    this.federalRatePercent = federalRatePercent;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setFacilitySpecificPaymentAmount(final BigDecimal facilitySpecificPaymentAmount) {
    this.facilitySpecificPaymentAmount = facilitySpecificPaymentAmount;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setFacilitySpecificRatePreblend(final BigDecimal facilitySpecificRatePreblend) {
    this.facilitySpecificRatePreblend = facilitySpecificRatePreblend;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setFacilityRatePercent(final BigDecimal facilityRatePercent) {
    this.facilityRatePercent = facilityRatePercent;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setFacilityCosts(final BigDecimal facilityCosts) {
    this.facilityCosts = facilityCosts;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setOutlierPaymentAmount(final BigDecimal outlierPaymentAmount) {
    this.outlierPaymentAmount = outlierPaymentAmount;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setOutlierPenaltyAmount(final BigDecimal outlierPenaltyAmount) {
    this.outlierPenaltyAmount = outlierPenaltyAmount;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setOutlierThreshold(final BigDecimal outlierThreshold) {
    this.outlierThreshold = outlierThreshold;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setChargeOutlierThreshold(final BigDecimal chargeOutlierThreshold) {
    this.chargeOutlierThreshold = chargeOutlierThreshold;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setLowIncomePaymentAmount(final BigDecimal lowIncomePaymentAmount) {
    this.lowIncomePaymentAmount = lowIncomePaymentAmount;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setLowIncomePaymentPenaltyAmount(final BigDecimal lowIncomePaymentPenaltyAmount) {
    this.lowIncomePaymentPenaltyAmount = lowIncomePaymentPenaltyAmount;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setLowIncomePaymentPercent(final BigDecimal lowIncomePaymentPercent) {
    this.lowIncomePaymentPercent = lowIncomePaymentPercent;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setTeachPaymentAmount(final BigDecimal teachPaymentAmount) {
    this.teachPaymentAmount = teachPaymentAmount;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setTeachPenaltyAmount(final BigDecimal teachPenaltyAmount) {
    this.teachPenaltyAmount = teachPenaltyAmount;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setNationalLaborPercent(final BigDecimal nationalLaborPercent) {
    this.nationalLaborPercent = nationalLaborPercent;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setNationalNonLaborPercent(final BigDecimal nationalNonLaborPercent) {
    this.nationalNonLaborPercent = nationalNonLaborPercent;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setNationalThresholdAdjustment(final BigDecimal nationalThresholdAdjustment) {
    this.nationalThresholdAdjustment = nationalThresholdAdjustment;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setBudgetNeutralConversionAmount(final BigDecimal budgetNeutralConversionAmount) {
    this.budgetNeutralConversionAmount = budgetNeutralConversionAmount;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setRuralAdjustment(final BigDecimal ruralAdjustment) {
    this.ruralAdjustment = ruralAdjustment;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setLengthOfStay(final int lengthOfStay) {
    this.lengthOfStay = lengthOfStay;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setRegularDaysUsed(final int regularDaysUsed) {
    this.regularDaysUsed = regularDaysUsed;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setLifetimeReserveDaysUsed(final int lifetimeReserveDaysUsed) {
    this.lifetimeReserveDaysUsed = lifetimeReserveDaysUsed;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setAverageLengthOfStay(final int averageLengthOfStay) {
    this.averageLengthOfStay = averageLengthOfStay;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setRelativeWeight(final BigDecimal relativeWeight) {
    this.relativeWeight = relativeWeight;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setTransferPercent(final BigDecimal transferPercent) {
    this.transferPercent = transferPercent;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setStandardPaymentAmount(final BigDecimal standardPaymentAmount) {
    this.standardPaymentAmount = standardPaymentAmount;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setCoreBasedStatisticalArea(final String coreBasedStatisticalArea) {
    this.coreBasedStatisticalArea = coreBasedStatisticalArea;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setMetropolitanStatisticalArea(final String metropolitanStatisticalArea) {
    this.metropolitanStatisticalArea = metropolitanStatisticalArea;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setWageIndex(final BigDecimal wageIndex) {
    this.wageIndex = wageIndex;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setSubmittedCmgCode(final String submittedCmgCode) {
    this.submittedCmgCode = submittedCmgCode;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setPricedCmgCode(final String pricedCmgCode) {
    this.pricedCmgCode = pricedCmgCode;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setCalcVersionCode(final String calcVersionCode) {
    this.calcVersionCode = calcVersionCode;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setCotInd(final String cotInd) {
    this.cotInd = cotInd;
  }

  @java.lang.Override
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public boolean equals(final java.lang.Object o) {
    if (o == this) return true;
    if (!(o instanceof ProspectivePaymentRecord)) return false;
    final ProspectivePaymentRecord other = (ProspectivePaymentRecord) o;
    if (!other.canEqual((java.lang.Object) this)) return false;
    if (this.getLengthOfStay() != other.getLengthOfStay()) return false;
    if (this.getRegularDaysUsed() != other.getRegularDaysUsed()) return false;
    if (this.getLifetimeReserveDaysUsed() != other.getLifetimeReserveDaysUsed()) return false;
    if (this.getAverageLengthOfStay() != other.getAverageLengthOfStay()) return false;
    final java.lang.Object this$result = this.getResult();
    final java.lang.Object other$result = other.getResult();
    if (this$result == null ? other$result != null : !this$result.equals(other$result)) return false;
    final java.lang.Object this$totalPaymentAmount = this.getTotalPaymentAmount();
    final java.lang.Object other$totalPaymentAmount = other.getTotalPaymentAmount();
    if (this$totalPaymentAmount == null ? other$totalPaymentAmount != null : !this$totalPaymentAmount.equals(other$totalPaymentAmount)) return false;
    final java.lang.Object this$totalPenaltyAmount = this.getTotalPenaltyAmount();
    final java.lang.Object other$totalPenaltyAmount = other.getTotalPenaltyAmount();
    if (this$totalPenaltyAmount == null ? other$totalPenaltyAmount != null : !this$totalPenaltyAmount.equals(other$totalPenaltyAmount)) return false;
    final java.lang.Object this$federalPaymentAmount = this.getFederalPaymentAmount();
    final java.lang.Object other$federalPaymentAmount = other.getFederalPaymentAmount();
    if (this$federalPaymentAmount == null ? other$federalPaymentAmount != null : !this$federalPaymentAmount.equals(other$federalPaymentAmount)) return false;
    final java.lang.Object this$federalPenaltyAmount = this.getFederalPenaltyAmount();
    final java.lang.Object other$federalPenaltyAmount = other.getFederalPenaltyAmount();
    if (this$federalPenaltyAmount == null ? other$federalPenaltyAmount != null : !this$federalPenaltyAmount.equals(other$federalPenaltyAmount)) return false;
    final java.lang.Object this$federalRatePercent = this.getFederalRatePercent();
    final java.lang.Object other$federalRatePercent = other.getFederalRatePercent();
    if (this$federalRatePercent == null ? other$federalRatePercent != null : !this$federalRatePercent.equals(other$federalRatePercent)) return false;
    final java.lang.Object this$facilitySpecificPaymentAmount = this.getFacilitySpecificPaymentAmount();
    final java.lang.Object other$facilitySpecificPaymentAmount = other.getFacilitySpecificPaymentAmount();
    if (this$facilitySpecificPaymentAmount == null ? other$facilitySpecificPaymentAmount != null : !this$facilitySpecificPaymentAmount.equals(other$facilitySpecificPaymentAmount)) return false;
    final java.lang.Object this$facilitySpecificRatePreblend = this.getFacilitySpecificRatePreblend();
    final java.lang.Object other$facilitySpecificRatePreblend = other.getFacilitySpecificRatePreblend();
    if (this$facilitySpecificRatePreblend == null ? other$facilitySpecificRatePreblend != null : !this$facilitySpecificRatePreblend.equals(other$facilitySpecificRatePreblend)) return false;
    final java.lang.Object this$facilityRatePercent = this.getFacilityRatePercent();
    final java.lang.Object other$facilityRatePercent = other.getFacilityRatePercent();
    if (this$facilityRatePercent == null ? other$facilityRatePercent != null : !this$facilityRatePercent.equals(other$facilityRatePercent)) return false;
    final java.lang.Object this$facilityCosts = this.getFacilityCosts();
    final java.lang.Object other$facilityCosts = other.getFacilityCosts();
    if (this$facilityCosts == null ? other$facilityCosts != null : !this$facilityCosts.equals(other$facilityCosts)) return false;
    final java.lang.Object this$outlierPaymentAmount = this.getOutlierPaymentAmount();
    final java.lang.Object other$outlierPaymentAmount = other.getOutlierPaymentAmount();
    if (this$outlierPaymentAmount == null ? other$outlierPaymentAmount != null : !this$outlierPaymentAmount.equals(other$outlierPaymentAmount)) return false;
    final java.lang.Object this$outlierPenaltyAmount = this.getOutlierPenaltyAmount();
    final java.lang.Object other$outlierPenaltyAmount = other.getOutlierPenaltyAmount();
    if (this$outlierPenaltyAmount == null ? other$outlierPenaltyAmount != null : !this$outlierPenaltyAmount.equals(other$outlierPenaltyAmount)) return false;
    final java.lang.Object this$outlierThreshold = this.getOutlierThreshold();
    final java.lang.Object other$outlierThreshold = other.getOutlierThreshold();
    if (this$outlierThreshold == null ? other$outlierThreshold != null : !this$outlierThreshold.equals(other$outlierThreshold)) return false;
    final java.lang.Object this$chargeOutlierThreshold = this.getChargeOutlierThreshold();
    final java.lang.Object other$chargeOutlierThreshold = other.getChargeOutlierThreshold();
    if (this$chargeOutlierThreshold == null ? other$chargeOutlierThreshold != null : !this$chargeOutlierThreshold.equals(other$chargeOutlierThreshold)) return false;
    final java.lang.Object this$lowIncomePaymentAmount = this.getLowIncomePaymentAmount();
    final java.lang.Object other$lowIncomePaymentAmount = other.getLowIncomePaymentAmount();
    if (this$lowIncomePaymentAmount == null ? other$lowIncomePaymentAmount != null : !this$lowIncomePaymentAmount.equals(other$lowIncomePaymentAmount)) return false;
    final java.lang.Object this$lowIncomePaymentPenaltyAmount = this.getLowIncomePaymentPenaltyAmount();
    final java.lang.Object other$lowIncomePaymentPenaltyAmount = other.getLowIncomePaymentPenaltyAmount();
    if (this$lowIncomePaymentPenaltyAmount == null ? other$lowIncomePaymentPenaltyAmount != null : !this$lowIncomePaymentPenaltyAmount.equals(other$lowIncomePaymentPenaltyAmount)) return false;
    final java.lang.Object this$lowIncomePaymentPercent = this.getLowIncomePaymentPercent();
    final java.lang.Object other$lowIncomePaymentPercent = other.getLowIncomePaymentPercent();
    if (this$lowIncomePaymentPercent == null ? other$lowIncomePaymentPercent != null : !this$lowIncomePaymentPercent.equals(other$lowIncomePaymentPercent)) return false;
    final java.lang.Object this$teachPaymentAmount = this.getTeachPaymentAmount();
    final java.lang.Object other$teachPaymentAmount = other.getTeachPaymentAmount();
    if (this$teachPaymentAmount == null ? other$teachPaymentAmount != null : !this$teachPaymentAmount.equals(other$teachPaymentAmount)) return false;
    final java.lang.Object this$teachPenaltyAmount = this.getTeachPenaltyAmount();
    final java.lang.Object other$teachPenaltyAmount = other.getTeachPenaltyAmount();
    if (this$teachPenaltyAmount == null ? other$teachPenaltyAmount != null : !this$teachPenaltyAmount.equals(other$teachPenaltyAmount)) return false;
    final java.lang.Object this$nationalLaborPercent = this.getNationalLaborPercent();
    final java.lang.Object other$nationalLaborPercent = other.getNationalLaborPercent();
    if (this$nationalLaborPercent == null ? other$nationalLaborPercent != null : !this$nationalLaborPercent.equals(other$nationalLaborPercent)) return false;
    final java.lang.Object this$nationalNonLaborPercent = this.getNationalNonLaborPercent();
    final java.lang.Object other$nationalNonLaborPercent = other.getNationalNonLaborPercent();
    if (this$nationalNonLaborPercent == null ? other$nationalNonLaborPercent != null : !this$nationalNonLaborPercent.equals(other$nationalNonLaborPercent)) return false;
    final java.lang.Object this$nationalThresholdAdjustment = this.getNationalThresholdAdjustment();
    final java.lang.Object other$nationalThresholdAdjustment = other.getNationalThresholdAdjustment();
    if (this$nationalThresholdAdjustment == null ? other$nationalThresholdAdjustment != null : !this$nationalThresholdAdjustment.equals(other$nationalThresholdAdjustment)) return false;
    final java.lang.Object this$budgetNeutralConversionAmount = this.getBudgetNeutralConversionAmount();
    final java.lang.Object other$budgetNeutralConversionAmount = other.getBudgetNeutralConversionAmount();
    if (this$budgetNeutralConversionAmount == null ? other$budgetNeutralConversionAmount != null : !this$budgetNeutralConversionAmount.equals(other$budgetNeutralConversionAmount)) return false;
    final java.lang.Object this$ruralAdjustment = this.getRuralAdjustment();
    final java.lang.Object other$ruralAdjustment = other.getRuralAdjustment();
    if (this$ruralAdjustment == null ? other$ruralAdjustment != null : !this$ruralAdjustment.equals(other$ruralAdjustment)) return false;
    final java.lang.Object this$relativeWeight = this.getRelativeWeight();
    final java.lang.Object other$relativeWeight = other.getRelativeWeight();
    if (this$relativeWeight == null ? other$relativeWeight != null : !this$relativeWeight.equals(other$relativeWeight)) return false;
    final java.lang.Object this$transferPercent = this.getTransferPercent();
    final java.lang.Object other$transferPercent = other.getTransferPercent();
    if (this$transferPercent == null ? other$transferPercent != null : !this$transferPercent.equals(other$transferPercent)) return false;
    final java.lang.Object this$standardPaymentAmount = this.getStandardPaymentAmount();
    final java.lang.Object other$standardPaymentAmount = other.getStandardPaymentAmount();
    if (this$standardPaymentAmount == null ? other$standardPaymentAmount != null : !this$standardPaymentAmount.equals(other$standardPaymentAmount)) return false;
    final java.lang.Object this$coreBasedStatisticalArea = this.getCoreBasedStatisticalArea();
    final java.lang.Object other$coreBasedStatisticalArea = other.getCoreBasedStatisticalArea();
    if (this$coreBasedStatisticalArea == null ? other$coreBasedStatisticalArea != null : !this$coreBasedStatisticalArea.equals(other$coreBasedStatisticalArea)) return false;
    final java.lang.Object this$metropolitanStatisticalArea = this.getMetropolitanStatisticalArea();
    final java.lang.Object other$metropolitanStatisticalArea = other.getMetropolitanStatisticalArea();
    if (this$metropolitanStatisticalArea == null ? other$metropolitanStatisticalArea != null : !this$metropolitanStatisticalArea.equals(other$metropolitanStatisticalArea)) return false;
    final java.lang.Object this$wageIndex = this.getWageIndex();
    final java.lang.Object other$wageIndex = other.getWageIndex();
    if (this$wageIndex == null ? other$wageIndex != null : !this$wageIndex.equals(other$wageIndex)) return false;
    final java.lang.Object this$submittedCmgCode = this.getSubmittedCmgCode();
    final java.lang.Object other$submittedCmgCode = other.getSubmittedCmgCode();
    if (this$submittedCmgCode == null ? other$submittedCmgCode != null : !this$submittedCmgCode.equals(other$submittedCmgCode)) return false;
    final java.lang.Object this$pricedCmgCode = this.getPricedCmgCode();
    final java.lang.Object other$pricedCmgCode = other.getPricedCmgCode();
    if (this$pricedCmgCode == null ? other$pricedCmgCode != null : !this$pricedCmgCode.equals(other$pricedCmgCode)) return false;
    final java.lang.Object this$calcVersionCode = this.getCalcVersionCode();
    final java.lang.Object other$calcVersionCode = other.getCalcVersionCode();
    if (this$calcVersionCode == null ? other$calcVersionCode != null : !this$calcVersionCode.equals(other$calcVersionCode)) return false;
    final java.lang.Object this$cotInd = this.getCotInd();
    final java.lang.Object other$cotInd = other.getCotInd();
    if (this$cotInd == null ? other$cotInd != null : !this$cotInd.equals(other$cotInd)) return false;
    return true;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  protected boolean canEqual(final java.lang.Object other) {
    return other instanceof ProspectivePaymentRecord;
  }

  @java.lang.Override
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public int hashCode() {
    final int PRIME = 59;
    int result = 1;
    result = result * PRIME + this.getLengthOfStay();
    result = result * PRIME + this.getRegularDaysUsed();
    result = result * PRIME + this.getLifetimeReserveDaysUsed();
    result = result * PRIME + this.getAverageLengthOfStay();
    final java.lang.Object $result = this.getResult();
    result = result * PRIME + ($result == null ? 43 : $result.hashCode());
    final java.lang.Object $totalPaymentAmount = this.getTotalPaymentAmount();
    result = result * PRIME + ($totalPaymentAmount == null ? 43 : $totalPaymentAmount.hashCode());
    final java.lang.Object $totalPenaltyAmount = this.getTotalPenaltyAmount();
    result = result * PRIME + ($totalPenaltyAmount == null ? 43 : $totalPenaltyAmount.hashCode());
    final java.lang.Object $federalPaymentAmount = this.getFederalPaymentAmount();
    result = result * PRIME + ($federalPaymentAmount == null ? 43 : $federalPaymentAmount.hashCode());
    final java.lang.Object $federalPenaltyAmount = this.getFederalPenaltyAmount();
    result = result * PRIME + ($federalPenaltyAmount == null ? 43 : $federalPenaltyAmount.hashCode());
    final java.lang.Object $federalRatePercent = this.getFederalRatePercent();
    result = result * PRIME + ($federalRatePercent == null ? 43 : $federalRatePercent.hashCode());
    final java.lang.Object $facilitySpecificPaymentAmount = this.getFacilitySpecificPaymentAmount();
    result = result * PRIME + ($facilitySpecificPaymentAmount == null ? 43 : $facilitySpecificPaymentAmount.hashCode());
    final java.lang.Object $facilitySpecificRatePreblend = this.getFacilitySpecificRatePreblend();
    result = result * PRIME + ($facilitySpecificRatePreblend == null ? 43 : $facilitySpecificRatePreblend.hashCode());
    final java.lang.Object $facilityRatePercent = this.getFacilityRatePercent();
    result = result * PRIME + ($facilityRatePercent == null ? 43 : $facilityRatePercent.hashCode());
    final java.lang.Object $facilityCosts = this.getFacilityCosts();
    result = result * PRIME + ($facilityCosts == null ? 43 : $facilityCosts.hashCode());
    final java.lang.Object $outlierPaymentAmount = this.getOutlierPaymentAmount();
    result = result * PRIME + ($outlierPaymentAmount == null ? 43 : $outlierPaymentAmount.hashCode());
    final java.lang.Object $outlierPenaltyAmount = this.getOutlierPenaltyAmount();
    result = result * PRIME + ($outlierPenaltyAmount == null ? 43 : $outlierPenaltyAmount.hashCode());
    final java.lang.Object $outlierThreshold = this.getOutlierThreshold();
    result = result * PRIME + ($outlierThreshold == null ? 43 : $outlierThreshold.hashCode());
    final java.lang.Object $chargeOutlierThreshold = this.getChargeOutlierThreshold();
    result = result * PRIME + ($chargeOutlierThreshold == null ? 43 : $chargeOutlierThreshold.hashCode());
    final java.lang.Object $lowIncomePaymentAmount = this.getLowIncomePaymentAmount();
    result = result * PRIME + ($lowIncomePaymentAmount == null ? 43 : $lowIncomePaymentAmount.hashCode());
    final java.lang.Object $lowIncomePaymentPenaltyAmount = this.getLowIncomePaymentPenaltyAmount();
    result = result * PRIME + ($lowIncomePaymentPenaltyAmount == null ? 43 : $lowIncomePaymentPenaltyAmount.hashCode());
    final java.lang.Object $lowIncomePaymentPercent = this.getLowIncomePaymentPercent();
    result = result * PRIME + ($lowIncomePaymentPercent == null ? 43 : $lowIncomePaymentPercent.hashCode());
    final java.lang.Object $teachPaymentAmount = this.getTeachPaymentAmount();
    result = result * PRIME + ($teachPaymentAmount == null ? 43 : $teachPaymentAmount.hashCode());
    final java.lang.Object $teachPenaltyAmount = this.getTeachPenaltyAmount();
    result = result * PRIME + ($teachPenaltyAmount == null ? 43 : $teachPenaltyAmount.hashCode());
    final java.lang.Object $nationalLaborPercent = this.getNationalLaborPercent();
    result = result * PRIME + ($nationalLaborPercent == null ? 43 : $nationalLaborPercent.hashCode());
    final java.lang.Object $nationalNonLaborPercent = this.getNationalNonLaborPercent();
    result = result * PRIME + ($nationalNonLaborPercent == null ? 43 : $nationalNonLaborPercent.hashCode());
    final java.lang.Object $nationalThresholdAdjustment = this.getNationalThresholdAdjustment();
    result = result * PRIME + ($nationalThresholdAdjustment == null ? 43 : $nationalThresholdAdjustment.hashCode());
    final java.lang.Object $budgetNeutralConversionAmount = this.getBudgetNeutralConversionAmount();
    result = result * PRIME + ($budgetNeutralConversionAmount == null ? 43 : $budgetNeutralConversionAmount.hashCode());
    final java.lang.Object $ruralAdjustment = this.getRuralAdjustment();
    result = result * PRIME + ($ruralAdjustment == null ? 43 : $ruralAdjustment.hashCode());
    final java.lang.Object $relativeWeight = this.getRelativeWeight();
    result = result * PRIME + ($relativeWeight == null ? 43 : $relativeWeight.hashCode());
    final java.lang.Object $transferPercent = this.getTransferPercent();
    result = result * PRIME + ($transferPercent == null ? 43 : $transferPercent.hashCode());
    final java.lang.Object $standardPaymentAmount = this.getStandardPaymentAmount();
    result = result * PRIME + ($standardPaymentAmount == null ? 43 : $standardPaymentAmount.hashCode());
    final java.lang.Object $coreBasedStatisticalArea = this.getCoreBasedStatisticalArea();
    result = result * PRIME + ($coreBasedStatisticalArea == null ? 43 : $coreBasedStatisticalArea.hashCode());
    final java.lang.Object $metropolitanStatisticalArea = this.getMetropolitanStatisticalArea();
    result = result * PRIME + ($metropolitanStatisticalArea == null ? 43 : $metropolitanStatisticalArea.hashCode());
    final java.lang.Object $wageIndex = this.getWageIndex();
    result = result * PRIME + ($wageIndex == null ? 43 : $wageIndex.hashCode());
    final java.lang.Object $submittedCmgCode = this.getSubmittedCmgCode();
    result = result * PRIME + ($submittedCmgCode == null ? 43 : $submittedCmgCode.hashCode());
    final java.lang.Object $pricedCmgCode = this.getPricedCmgCode();
    result = result * PRIME + ($pricedCmgCode == null ? 43 : $pricedCmgCode.hashCode());
    final java.lang.Object $calcVersionCode = this.getCalcVersionCode();
    result = result * PRIME + ($calcVersionCode == null ? 43 : $calcVersionCode.hashCode());
    final java.lang.Object $cotInd = this.getCotInd();
    result = result * PRIME + ($cotInd == null ? 43 : $cotInd.hashCode());
    return result;
  }

  @java.lang.Override
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public java.lang.String toString() {
    return "ProspectivePaymentRecord(result=" + this.getResult() + ", totalPaymentAmount=" + this.getTotalPaymentAmount() + ", totalPenaltyAmount=" + this.getTotalPenaltyAmount() + ", federalPaymentAmount=" + this.getFederalPaymentAmount() + ", federalPenaltyAmount=" + this.getFederalPenaltyAmount() + ", federalRatePercent=" + this.getFederalRatePercent() + ", facilitySpecificPaymentAmount=" + this.getFacilitySpecificPaymentAmount() + ", facilitySpecificRatePreblend=" + this.getFacilitySpecificRatePreblend() + ", facilityRatePercent=" + this.getFacilityRatePercent() + ", facilityCosts=" + this.getFacilityCosts() + ", outlierPaymentAmount=" + this.getOutlierPaymentAmount() + ", outlierPenaltyAmount=" + this.getOutlierPenaltyAmount() + ", outlierThreshold=" + this.getOutlierThreshold() + ", chargeOutlierThreshold=" + this.getChargeOutlierThreshold() + ", lowIncomePaymentAmount=" + this.getLowIncomePaymentAmount() + ", lowIncomePaymentPenaltyAmount=" + this.getLowIncomePaymentPenaltyAmount() + ", lowIncomePaymentPercent=" + this.getLowIncomePaymentPercent() + ", teachPaymentAmount=" + this.getTeachPaymentAmount() + ", teachPenaltyAmount=" + this.getTeachPenaltyAmount() + ", nationalLaborPercent=" + this.getNationalLaborPercent() + ", nationalNonLaborPercent=" + this.getNationalNonLaborPercent() + ", nationalThresholdAdjustment=" + this.getNationalThresholdAdjustment() + ", budgetNeutralConversionAmount=" + this.getBudgetNeutralConversionAmount() + ", ruralAdjustment=" + this.getRuralAdjustment() + ", lengthOfStay=" + this.getLengthOfStay() + ", regularDaysUsed=" + this.getRegularDaysUsed() + ", lifetimeReserveDaysUsed=" + this.getLifetimeReserveDaysUsed() + ", averageLengthOfStay=" + this.getAverageLengthOfStay() + ", relativeWeight=" + this.getRelativeWeight() + ", transferPercent=" + this.getTransferPercent() + ", standardPaymentAmount=" + this.getStandardPaymentAmount() + ", coreBasedStatisticalArea=" + this.getCoreBasedStatisticalArea() + ", metropolitanStatisticalArea=" + this.getMetropolitanStatisticalArea() + ", wageIndex=" + this.getWageIndex() + ", submittedCmgCode=" + this.getSubmittedCmgCode() + ", pricedCmgCode=" + this.getPricedCmgCode() + ", calcVersionCode=" + this.getCalcVersionCode() + ", cotInd=" + this.getCotInd() + ")";
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public ProspectivePaymentRecord() {
  }
}
