// Generated by delombok at Mon Oct 04 14:27:44 EDT 2021
package gov.cms.fiss.pricers.irf.api;

import gov.cms.fiss.pricers.common.util.LocalDateUtils;
import io.dropwizard.validation.ValidationMethod;
import io.swagger.v3.oas.annotations.extensions.Extension;
import io.swagger.v3.oas.annotations.extensions.ExtensionProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import java.math.BigDecimal;
import javax.validation.Valid;
import javax.validation.constraints.DecimalMax;
import javax.validation.constraints.DecimalMin;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import org.apache.commons.lang3.StringUtils;

@Schema(description = "The provider-specific information for the claim.", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "PROV-NEW-HOLD", value = "<structure>")})})
public class ProviderRecord {
  @Schema(description = "The national provider identifier (NPI).", example = "1649259600", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-NPI10", value = "P-NEW-NPI8 PIC X(08)\nP-NEW-NPI-FILLER PIC X(02)", parseValue = true)})})
  private String npi;
  @Schema(description = "The provider number.", example = "523027", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-PROVIDER-NO", value = "P-NEW-STATE PIC 9(02)\nFILLER PIC X(04)", parseValue = true)})})
  private String providerNumber;
  @Schema(description = "The effective date.", example = "20161001", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-EFF-DATE", value = "P-NEW-EFF-DT-CC PIC 9(02)\n" + "P-NEW-EFF-DT-YY PIC 9(02)\n" + "P-NEW-EFF-DT-MM PIC 9(02)\n" + "P-NEW-EFF-DT-DD PIC 9(02)", parseValue = true)})})
  @NotNull
  private String effectiveDate;
  @Schema(description = "The fiscal year begin date.", example = "20160101", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-FY-BEGIN-DATE", value = "P-NEW-FY-BEG-DT-CC PIC 9(02)\n" + "P-NEW-FY-BEG-DT-YY PIC 9(02)\n" + "P-NEW-FY-BEG-DT-MM PIC 9(02)\n" + "P-NEW-FY-BEG-DT-DD PIC 9(02)", parseValue = true)})})
  @NotNull
  private String fiscalYearBeginDate;
  @Schema(description = "The fiscal year end date.", example = "20161231", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-FYE-DATE", value = "PIC X(08)")})})
  @NotNull
  private String fiscalYearEndDate;
  @Schema(description = "The report date.", example = "00000000", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-REPORT-DATE", value = "P-NEW-REPORT-DT-CC PIC 9(02)\n" + "P-NEW-REPORT-DT-YY PIC 9(02)\n" + "P-NEW-REPORT-DT-MM PIC 9(02)\n" + "P-NEW-REPORT-DT-DD PIC 9(02)", parseValue = true)})})
  private String reportDate;
  // TODO: Global API - have web client send null for all zeros. Update logic accordingly.
  @Schema(description = "The termination date.", example = "00000000", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-TERMINATION-DATE", value = "P-NEW-TERM-DT-CC PIC 9(02)\n" + "P-NEW-TERM-DT-YY PIC 9(02)\n" + "P-NEW-TERM-DT-MM PIC 9(02)\n" + "P-NEW-TERM-DT-DD PIC 9(02)", parseValue = true)})})
  @NotNull
  private String terminationDate;
  @Schema(description = "The waiver code.", example = "N", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-WAIVER-CODE", value = "PIC X(01)")})})
  @NotNull
  @Size(max = 1)
  private String waiverCode;
  @Schema(description = "The provider type.", example = "04", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-PROVIDER-TYPE", value = "PIC X(02)")})})
  private String providerType;
  @Schema(description = "The intermediary number.", example = "0", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-INTER-NO", value = "PIC 9(05)")})})
  private int intermediaryNumber;
  @Schema(description = "The current census division.", example = "4", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-CURRENT-CENSUS-DIV", value = "PIC 9(01)")})})
  private int currentCensusDivision;
  @Schema(description = "The MSA information.", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-MSA-DATA", value = "<structure>")})})
  private MsaData msaData;
  @Schema(description = "The sole community hospital year.", example = "00", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-SOL-COM-DEP-HOSP-YR", value = "PIC XX")})})
  private String soleCommunityHospitalYear;
  @Schema(description = "The Lugar reclassification code.", example = "0", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-LUGAR", value = "PIC X")})})
  private String lugarReclassCode;
  @Schema(description = "The temporary relief indicator.", example = "0", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-TEMP-RELIEF-IND", value = "PIC X")})})
  private String temporaryReliefIndicator;
  @Schema(description = "The federal PPS blend indicator.", example = "4", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-FED-PPS-BLEND-IND", value = "PIC X")})})
  private String federalPpsBlendIndicator;
  @Schema(description = "The facility specific rate.", example = "1.25", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-FAC-SPEC-RATE", value = "PIC 9(05)V9(02)")})})
  @NotNull
  private BigDecimal facilitySpecificRate;
  @Schema(description = "The cost of living adjustment.", example = "0.123", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-COLA", value = "PIC 9(01)V9(03)")})})
  private BigDecimal costOfLivingAdjustment;
  @Schema(description = "The intern to bed ratio.", example = "1.1234", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-INTERN-RATIO", value = "PIC 9(01)V9(04)")})})
  private BigDecimal internToBedRatio;
  @Schema(description = "The bed size.", example = "0", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-BED-SIZE", value = "PIC 9(05)")})})
  private int bedSize;
  @Schema(description = "The cost to charge ratio.", example = "0.561", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-OPER-CSTCHG-RATIO", value = "PIC 9(01)V9(03)")})})
  @DecimalMin("0.001")
  @DecimalMax("9.999")
  @NotNull
  private BigDecimal costToChargeRatio;
  @Schema(description = "The case mix index.", example = "0.1234", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-CMI", value = "PIC 9(01)V9(04)")})})
  private BigDecimal caseMixIndex;
  @Schema(description = "The Supplemental Security Income (SSI) ratio.", example = "0.0093", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-SSI-RATIO", value = "PIC V9(04)")})})
  @DecimalMin("0.0000")
  @DecimalMax("0.9999")
  @NotNull
  private BigDecimal ssiRatio;
  @Schema(description = "The Medicaid ratio.", example = "0.0591", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-MEDICAID-RATIO", value = "PIC V9(04)")})})
  @DecimalMin("0.0000")
  @DecimalMax("0.9999")
  @NotNull
  private BigDecimal medicaidRatio;
  @Schema(description = "The PPS Blend year indicator.", example = "4", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-PPS-BLEND-YR-IND", value = "PIC 9(01)")})})
  private BigDecimal ppsBlendYearIndicator;
  @Schema(description = "The special provider update factor.", example = "0.12345", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-PRUF-UPDTE-FACTOR", value = "PIC 9(01)V9(05)")})})
  private BigDecimal specialProviderUpdateFactor;
  @Schema(description = "The disproportionate share hospital (DSH) adjustment percentage.", example = "0.1234", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-DSH-PERCENT", value = "PIC V9(04)")})})
  private BigDecimal disproportionateShareAdjustmentPercent;
  @Schema(description = "The CBSA information.", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-CBSA-DATA", value = "<structure>")})})
  @NotNull
  @Valid
  private CbsaData cbsaData;
  @Schema(description = "The pass-through capital amount.", example = "1.12", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-PASS-AMT-CAPITAL", value = "PIC 9(04)V99")})})
  private BigDecimal passthruAmountCapital;
  @Schema(description = "The pass-through amount of direct medical education.", example = "1.12", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-PASS-AMT-DIR-MED-ED", value = "PIC 9(04)V99")})})
  private BigDecimal passthruAmountDirectMedicalEducation;
  @Schema(description = "The pass-through amount of organ acquisition.", example = "1.12", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-PASS-AMT-ORGAN-ACQ", value = "PIC 9(04)V99")})})
  private BigDecimal passthruAmountOrganAcquisition;
  @Schema(description = "The pass-through amount plus miscellaneous.", example = "1.12", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-PASS-AMT-PLUS-MISC", value = "PIC 9(04)V99")})})
  private BigDecimal passthruAmountPlusMisc;
  @Schema(description = "The capital PPS pay code.", example = "0", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-CAPI-PPS-PAY-CODE", value = "PIC X")})})
  private String capitalPpsPayCode;
  @Schema(description = "The capital PPS hospital specific rate.", example = "0.12", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-CAPI-HOSP-SPEC-RATE", value = "PIC 9(04)V99")})})
  private BigDecimal capitalPpsHospitalSpecificRate;
  @Schema(description = "The old capital hold harmless rate.", example = "1.12", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-CAPI-OLD-HARM-RATE", value = "PIC 9(04)V99")})})
  private BigDecimal oldCapitalHoldHarmlessRate;
  @Schema(description = "The new capital hold harmless rate.", example = "1.1234", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-CAPI-NEW-HARM-RATIO", value = "PIC 9(01)V9999")})})
  private BigDecimal newCapitalHoldHarmlessRatio;
  @Schema(description = "The capital cost to charge ratio.", example = "0.123", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-CAPI-CSTCHG-RATIO", value = "PIC 9V999")})})
  private BigDecimal capitalCostToChargeRatio;
  @Schema(description = "The new hospital indicator.", example = "0", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-CAPI-NEW-HOSP", value = "PIC X")})})
  private String newHospitalIndicator;
  @Schema(description = "The capital indirect medical education (IME) ratio.", example = "0.1234", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-CAPI-IME", value = "PIC 9V9999")})})
  @NotNull
  @DecimalMin("0.0000")
  @DecimalMax("9.9999")
  private BigDecimal capitalIndirectMedicalEducationRatio;
  @Schema(description = "The capital exception payment rate.", example = "1.12", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-NEW-CAPI-EXCEPTIONS", value = "PIC 9(04)V99")})})
  private BigDecimal capitalExceptionPaymentRate;
  @Schema(description = "The supplemental wage index indicator.", example = "1")
  private String supplementalWageIndexIndicator;
  @Schema(description = "The supplemental wage index.", example = "1.2745")
  private BigDecimal supplementalWageIndex;
  @Schema(description = "The value based purchase (VBP) score.", example = "0.123", extensions = {@Extension(name = "cobol-declaration", properties = {@ExtensionProperty(name = "P-VAL-BASED-PURCH-SCORE", value = "PIC 9V999")})})
  private BigDecimal valueBasedPurchaseScore;

  @ValidationMethod
  public boolean isFiscalYearBeginDate() {
    // Null check is performed elsewhere so return if null
    if (fiscalYearBeginDate == null) {
      return true;
    }
    return LocalDateUtils.fromYearFormat(fiscalYearBeginDate) != null;
  }

  @ValidationMethod
  public boolean isTerminationDate() {
    // Null check is performed elsewhere so return if null
    // All zeros is a special case value that is considered valid
    if (terminationDate == null || StringUtils.equals(terminationDate, "00000000")) {
      return true;
    }
    return LocalDateUtils.fromYearFormat(terminationDate) != null;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public ProviderRecord(final String npi, final String providerNumber, final String effectiveDate, final String fiscalYearBeginDate, final String fiscalYearEndDate, final String reportDate, final String terminationDate, final String waiverCode, final String providerType, final int intermediaryNumber, final int currentCensusDivision, final MsaData msaData, final String soleCommunityHospitalYear, final String lugarReclassCode, final String temporaryReliefIndicator, final String federalPpsBlendIndicator, final BigDecimal facilitySpecificRate, final BigDecimal costOfLivingAdjustment, final BigDecimal internToBedRatio, final int bedSize, final BigDecimal costToChargeRatio, final BigDecimal caseMixIndex, final BigDecimal ssiRatio, final BigDecimal medicaidRatio, final BigDecimal ppsBlendYearIndicator, final BigDecimal specialProviderUpdateFactor, final BigDecimal disproportionateShareAdjustmentPercent, final CbsaData cbsaData, final BigDecimal passthruAmountCapital, final BigDecimal passthruAmountDirectMedicalEducation, final BigDecimal passthruAmountOrganAcquisition, final BigDecimal passthruAmountPlusMisc, final String capitalPpsPayCode, final BigDecimal capitalPpsHospitalSpecificRate, final BigDecimal oldCapitalHoldHarmlessRate, final BigDecimal newCapitalHoldHarmlessRatio, final BigDecimal capitalCostToChargeRatio, final String newHospitalIndicator, final BigDecimal capitalIndirectMedicalEducationRatio, final BigDecimal capitalExceptionPaymentRate, final String supplementalWageIndexIndicator, final BigDecimal supplementalWageIndex, final BigDecimal valueBasedPurchaseScore) {
    this.npi = npi;
    this.providerNumber = providerNumber;
    this.effectiveDate = effectiveDate;
    this.fiscalYearBeginDate = fiscalYearBeginDate;
    this.fiscalYearEndDate = fiscalYearEndDate;
    this.reportDate = reportDate;
    this.terminationDate = terminationDate;
    this.waiverCode = waiverCode;
    this.providerType = providerType;
    this.intermediaryNumber = intermediaryNumber;
    this.currentCensusDivision = currentCensusDivision;
    this.msaData = msaData;
    this.soleCommunityHospitalYear = soleCommunityHospitalYear;
    this.lugarReclassCode = lugarReclassCode;
    this.temporaryReliefIndicator = temporaryReliefIndicator;
    this.federalPpsBlendIndicator = federalPpsBlendIndicator;
    this.facilitySpecificRate = facilitySpecificRate;
    this.costOfLivingAdjustment = costOfLivingAdjustment;
    this.internToBedRatio = internToBedRatio;
    this.bedSize = bedSize;
    this.costToChargeRatio = costToChargeRatio;
    this.caseMixIndex = caseMixIndex;
    this.ssiRatio = ssiRatio;
    this.medicaidRatio = medicaidRatio;
    this.ppsBlendYearIndicator = ppsBlendYearIndicator;
    this.specialProviderUpdateFactor = specialProviderUpdateFactor;
    this.disproportionateShareAdjustmentPercent = disproportionateShareAdjustmentPercent;
    this.cbsaData = cbsaData;
    this.passthruAmountCapital = passthruAmountCapital;
    this.passthruAmountDirectMedicalEducation = passthruAmountDirectMedicalEducation;
    this.passthruAmountOrganAcquisition = passthruAmountOrganAcquisition;
    this.passthruAmountPlusMisc = passthruAmountPlusMisc;
    this.capitalPpsPayCode = capitalPpsPayCode;
    this.capitalPpsHospitalSpecificRate = capitalPpsHospitalSpecificRate;
    this.oldCapitalHoldHarmlessRate = oldCapitalHoldHarmlessRate;
    this.newCapitalHoldHarmlessRatio = newCapitalHoldHarmlessRatio;
    this.capitalCostToChargeRatio = capitalCostToChargeRatio;
    this.newHospitalIndicator = newHospitalIndicator;
    this.capitalIndirectMedicalEducationRatio = capitalIndirectMedicalEducationRatio;
    this.capitalExceptionPaymentRate = capitalExceptionPaymentRate;
    this.supplementalWageIndexIndicator = supplementalWageIndexIndicator;
    this.supplementalWageIndex = supplementalWageIndex;
    this.valueBasedPurchaseScore = valueBasedPurchaseScore;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public String getNpi() {
    return this.npi;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public String getProviderNumber() {
    return this.providerNumber;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public String getEffectiveDate() {
    return this.effectiveDate;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public String getFiscalYearBeginDate() {
    return this.fiscalYearBeginDate;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public String getFiscalYearEndDate() {
    return this.fiscalYearEndDate;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public String getReportDate() {
    return this.reportDate;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public String getTerminationDate() {
    return this.terminationDate;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public String getWaiverCode() {
    return this.waiverCode;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public String getProviderType() {
    return this.providerType;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public int getIntermediaryNumber() {
    return this.intermediaryNumber;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public int getCurrentCensusDivision() {
    return this.currentCensusDivision;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public MsaData getMsaData() {
    return this.msaData;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public String getSoleCommunityHospitalYear() {
    return this.soleCommunityHospitalYear;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public String getLugarReclassCode() {
    return this.lugarReclassCode;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public String getTemporaryReliefIndicator() {
    return this.temporaryReliefIndicator;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public String getFederalPpsBlendIndicator() {
    return this.federalPpsBlendIndicator;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getFacilitySpecificRate() {
    return this.facilitySpecificRate;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getCostOfLivingAdjustment() {
    return this.costOfLivingAdjustment;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getInternToBedRatio() {
    return this.internToBedRatio;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public int getBedSize() {
    return this.bedSize;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getCostToChargeRatio() {
    return this.costToChargeRatio;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getCaseMixIndex() {
    return this.caseMixIndex;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getSsiRatio() {
    return this.ssiRatio;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getMedicaidRatio() {
    return this.medicaidRatio;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getPpsBlendYearIndicator() {
    return this.ppsBlendYearIndicator;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getSpecialProviderUpdateFactor() {
    return this.specialProviderUpdateFactor;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getDisproportionateShareAdjustmentPercent() {
    return this.disproportionateShareAdjustmentPercent;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public CbsaData getCbsaData() {
    return this.cbsaData;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getPassthruAmountCapital() {
    return this.passthruAmountCapital;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getPassthruAmountDirectMedicalEducation() {
    return this.passthruAmountDirectMedicalEducation;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getPassthruAmountOrganAcquisition() {
    return this.passthruAmountOrganAcquisition;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getPassthruAmountPlusMisc() {
    return this.passthruAmountPlusMisc;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public String getCapitalPpsPayCode() {
    return this.capitalPpsPayCode;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getCapitalPpsHospitalSpecificRate() {
    return this.capitalPpsHospitalSpecificRate;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getOldCapitalHoldHarmlessRate() {
    return this.oldCapitalHoldHarmlessRate;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getNewCapitalHoldHarmlessRatio() {
    return this.newCapitalHoldHarmlessRatio;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getCapitalCostToChargeRatio() {
    return this.capitalCostToChargeRatio;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public String getNewHospitalIndicator() {
    return this.newHospitalIndicator;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getCapitalIndirectMedicalEducationRatio() {
    return this.capitalIndirectMedicalEducationRatio;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getCapitalExceptionPaymentRate() {
    return this.capitalExceptionPaymentRate;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public String getSupplementalWageIndexIndicator() {
    return this.supplementalWageIndexIndicator;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getSupplementalWageIndex() {
    return this.supplementalWageIndex;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getValueBasedPurchaseScore() {
    return this.valueBasedPurchaseScore;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setNpi(final String npi) {
    this.npi = npi;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setProviderNumber(final String providerNumber) {
    this.providerNumber = providerNumber;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setEffectiveDate(final String effectiveDate) {
    this.effectiveDate = effectiveDate;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setFiscalYearBeginDate(final String fiscalYearBeginDate) {
    this.fiscalYearBeginDate = fiscalYearBeginDate;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setFiscalYearEndDate(final String fiscalYearEndDate) {
    this.fiscalYearEndDate = fiscalYearEndDate;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setReportDate(final String reportDate) {
    this.reportDate = reportDate;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setTerminationDate(final String terminationDate) {
    this.terminationDate = terminationDate;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setWaiverCode(final String waiverCode) {
    this.waiverCode = waiverCode;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setProviderType(final String providerType) {
    this.providerType = providerType;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setIntermediaryNumber(final int intermediaryNumber) {
    this.intermediaryNumber = intermediaryNumber;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setCurrentCensusDivision(final int currentCensusDivision) {
    this.currentCensusDivision = currentCensusDivision;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setMsaData(final MsaData msaData) {
    this.msaData = msaData;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setSoleCommunityHospitalYear(final String soleCommunityHospitalYear) {
    this.soleCommunityHospitalYear = soleCommunityHospitalYear;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setLugarReclassCode(final String lugarReclassCode) {
    this.lugarReclassCode = lugarReclassCode;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setTemporaryReliefIndicator(final String temporaryReliefIndicator) {
    this.temporaryReliefIndicator = temporaryReliefIndicator;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setFederalPpsBlendIndicator(final String federalPpsBlendIndicator) {
    this.federalPpsBlendIndicator = federalPpsBlendIndicator;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setFacilitySpecificRate(final BigDecimal facilitySpecificRate) {
    this.facilitySpecificRate = facilitySpecificRate;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setCostOfLivingAdjustment(final BigDecimal costOfLivingAdjustment) {
    this.costOfLivingAdjustment = costOfLivingAdjustment;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setInternToBedRatio(final BigDecimal internToBedRatio) {
    this.internToBedRatio = internToBedRatio;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setBedSize(final int bedSize) {
    this.bedSize = bedSize;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setCostToChargeRatio(final BigDecimal costToChargeRatio) {
    this.costToChargeRatio = costToChargeRatio;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setCaseMixIndex(final BigDecimal caseMixIndex) {
    this.caseMixIndex = caseMixIndex;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setSsiRatio(final BigDecimal ssiRatio) {
    this.ssiRatio = ssiRatio;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setMedicaidRatio(final BigDecimal medicaidRatio) {
    this.medicaidRatio = medicaidRatio;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setPpsBlendYearIndicator(final BigDecimal ppsBlendYearIndicator) {
    this.ppsBlendYearIndicator = ppsBlendYearIndicator;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setSpecialProviderUpdateFactor(final BigDecimal specialProviderUpdateFactor) {
    this.specialProviderUpdateFactor = specialProviderUpdateFactor;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setDisproportionateShareAdjustmentPercent(final BigDecimal disproportionateShareAdjustmentPercent) {
    this.disproportionateShareAdjustmentPercent = disproportionateShareAdjustmentPercent;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setCbsaData(final CbsaData cbsaData) {
    this.cbsaData = cbsaData;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setPassthruAmountCapital(final BigDecimal passthruAmountCapital) {
    this.passthruAmountCapital = passthruAmountCapital;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setPassthruAmountDirectMedicalEducation(final BigDecimal passthruAmountDirectMedicalEducation) {
    this.passthruAmountDirectMedicalEducation = passthruAmountDirectMedicalEducation;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setPassthruAmountOrganAcquisition(final BigDecimal passthruAmountOrganAcquisition) {
    this.passthruAmountOrganAcquisition = passthruAmountOrganAcquisition;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setPassthruAmountPlusMisc(final BigDecimal passthruAmountPlusMisc) {
    this.passthruAmountPlusMisc = passthruAmountPlusMisc;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setCapitalPpsPayCode(final String capitalPpsPayCode) {
    this.capitalPpsPayCode = capitalPpsPayCode;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setCapitalPpsHospitalSpecificRate(final BigDecimal capitalPpsHospitalSpecificRate) {
    this.capitalPpsHospitalSpecificRate = capitalPpsHospitalSpecificRate;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setOldCapitalHoldHarmlessRate(final BigDecimal oldCapitalHoldHarmlessRate) {
    this.oldCapitalHoldHarmlessRate = oldCapitalHoldHarmlessRate;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setNewCapitalHoldHarmlessRatio(final BigDecimal newCapitalHoldHarmlessRatio) {
    this.newCapitalHoldHarmlessRatio = newCapitalHoldHarmlessRatio;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setCapitalCostToChargeRatio(final BigDecimal capitalCostToChargeRatio) {
    this.capitalCostToChargeRatio = capitalCostToChargeRatio;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setNewHospitalIndicator(final String newHospitalIndicator) {
    this.newHospitalIndicator = newHospitalIndicator;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setCapitalIndirectMedicalEducationRatio(final BigDecimal capitalIndirectMedicalEducationRatio) {
    this.capitalIndirectMedicalEducationRatio = capitalIndirectMedicalEducationRatio;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setCapitalExceptionPaymentRate(final BigDecimal capitalExceptionPaymentRate) {
    this.capitalExceptionPaymentRate = capitalExceptionPaymentRate;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setSupplementalWageIndexIndicator(final String supplementalWageIndexIndicator) {
    this.supplementalWageIndexIndicator = supplementalWageIndexIndicator;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setSupplementalWageIndex(final BigDecimal supplementalWageIndex) {
    this.supplementalWageIndex = supplementalWageIndex;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setValueBasedPurchaseScore(final BigDecimal valueBasedPurchaseScore) {
    this.valueBasedPurchaseScore = valueBasedPurchaseScore;
  }

  @java.lang.Override
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public boolean equals(final java.lang.Object o) {
    if (o == this) return true;
    if (!(o instanceof ProviderRecord)) return false;
    final ProviderRecord other = (ProviderRecord) o;
    if (!other.canEqual((java.lang.Object) this)) return false;
    if (this.getIntermediaryNumber() != other.getIntermediaryNumber()) return false;
    if (this.getCurrentCensusDivision() != other.getCurrentCensusDivision()) return false;
    if (this.getBedSize() != other.getBedSize()) return false;
    final java.lang.Object this$npi = this.getNpi();
    final java.lang.Object other$npi = other.getNpi();
    if (this$npi == null ? other$npi != null : !this$npi.equals(other$npi)) return false;
    final java.lang.Object this$providerNumber = this.getProviderNumber();
    final java.lang.Object other$providerNumber = other.getProviderNumber();
    if (this$providerNumber == null ? other$providerNumber != null : !this$providerNumber.equals(other$providerNumber)) return false;
    final java.lang.Object this$effectiveDate = this.getEffectiveDate();
    final java.lang.Object other$effectiveDate = other.getEffectiveDate();
    if (this$effectiveDate == null ? other$effectiveDate != null : !this$effectiveDate.equals(other$effectiveDate)) return false;
    final java.lang.Object this$fiscalYearBeginDate = this.getFiscalYearBeginDate();
    final java.lang.Object other$fiscalYearBeginDate = other.getFiscalYearBeginDate();
    if (this$fiscalYearBeginDate == null ? other$fiscalYearBeginDate != null : !this$fiscalYearBeginDate.equals(other$fiscalYearBeginDate)) return false;
    final java.lang.Object this$fiscalYearEndDate = this.getFiscalYearEndDate();
    final java.lang.Object other$fiscalYearEndDate = other.getFiscalYearEndDate();
    if (this$fiscalYearEndDate == null ? other$fiscalYearEndDate != null : !this$fiscalYearEndDate.equals(other$fiscalYearEndDate)) return false;
    final java.lang.Object this$reportDate = this.getReportDate();
    final java.lang.Object other$reportDate = other.getReportDate();
    if (this$reportDate == null ? other$reportDate != null : !this$reportDate.equals(other$reportDate)) return false;
    final java.lang.Object this$terminationDate = this.getTerminationDate();
    final java.lang.Object other$terminationDate = other.getTerminationDate();
    if (this$terminationDate == null ? other$terminationDate != null : !this$terminationDate.equals(other$terminationDate)) return false;
    final java.lang.Object this$waiverCode = this.getWaiverCode();
    final java.lang.Object other$waiverCode = other.getWaiverCode();
    if (this$waiverCode == null ? other$waiverCode != null : !this$waiverCode.equals(other$waiverCode)) return false;
    final java.lang.Object this$providerType = this.getProviderType();
    final java.lang.Object other$providerType = other.getProviderType();
    if (this$providerType == null ? other$providerType != null : !this$providerType.equals(other$providerType)) return false;
    final java.lang.Object this$msaData = this.getMsaData();
    final java.lang.Object other$msaData = other.getMsaData();
    if (this$msaData == null ? other$msaData != null : !this$msaData.equals(other$msaData)) return false;
    final java.lang.Object this$soleCommunityHospitalYear = this.getSoleCommunityHospitalYear();
    final java.lang.Object other$soleCommunityHospitalYear = other.getSoleCommunityHospitalYear();
    if (this$soleCommunityHospitalYear == null ? other$soleCommunityHospitalYear != null : !this$soleCommunityHospitalYear.equals(other$soleCommunityHospitalYear)) return false;
    final java.lang.Object this$lugarReclassCode = this.getLugarReclassCode();
    final java.lang.Object other$lugarReclassCode = other.getLugarReclassCode();
    if (this$lugarReclassCode == null ? other$lugarReclassCode != null : !this$lugarReclassCode.equals(other$lugarReclassCode)) return false;
    final java.lang.Object this$temporaryReliefIndicator = this.getTemporaryReliefIndicator();
    final java.lang.Object other$temporaryReliefIndicator = other.getTemporaryReliefIndicator();
    if (this$temporaryReliefIndicator == null ? other$temporaryReliefIndicator != null : !this$temporaryReliefIndicator.equals(other$temporaryReliefIndicator)) return false;
    final java.lang.Object this$federalPpsBlendIndicator = this.getFederalPpsBlendIndicator();
    final java.lang.Object other$federalPpsBlendIndicator = other.getFederalPpsBlendIndicator();
    if (this$federalPpsBlendIndicator == null ? other$federalPpsBlendIndicator != null : !this$federalPpsBlendIndicator.equals(other$federalPpsBlendIndicator)) return false;
    final java.lang.Object this$facilitySpecificRate = this.getFacilitySpecificRate();
    final java.lang.Object other$facilitySpecificRate = other.getFacilitySpecificRate();
    if (this$facilitySpecificRate == null ? other$facilitySpecificRate != null : !this$facilitySpecificRate.equals(other$facilitySpecificRate)) return false;
    final java.lang.Object this$costOfLivingAdjustment = this.getCostOfLivingAdjustment();
    final java.lang.Object other$costOfLivingAdjustment = other.getCostOfLivingAdjustment();
    if (this$costOfLivingAdjustment == null ? other$costOfLivingAdjustment != null : !this$costOfLivingAdjustment.equals(other$costOfLivingAdjustment)) return false;
    final java.lang.Object this$internToBedRatio = this.getInternToBedRatio();
    final java.lang.Object other$internToBedRatio = other.getInternToBedRatio();
    if (this$internToBedRatio == null ? other$internToBedRatio != null : !this$internToBedRatio.equals(other$internToBedRatio)) return false;
    final java.lang.Object this$costToChargeRatio = this.getCostToChargeRatio();
    final java.lang.Object other$costToChargeRatio = other.getCostToChargeRatio();
    if (this$costToChargeRatio == null ? other$costToChargeRatio != null : !this$costToChargeRatio.equals(other$costToChargeRatio)) return false;
    final java.lang.Object this$caseMixIndex = this.getCaseMixIndex();
    final java.lang.Object other$caseMixIndex = other.getCaseMixIndex();
    if (this$caseMixIndex == null ? other$caseMixIndex != null : !this$caseMixIndex.equals(other$caseMixIndex)) return false;
    final java.lang.Object this$ssiRatio = this.getSsiRatio();
    final java.lang.Object other$ssiRatio = other.getSsiRatio();
    if (this$ssiRatio == null ? other$ssiRatio != null : !this$ssiRatio.equals(other$ssiRatio)) return false;
    final java.lang.Object this$medicaidRatio = this.getMedicaidRatio();
    final java.lang.Object other$medicaidRatio = other.getMedicaidRatio();
    if (this$medicaidRatio == null ? other$medicaidRatio != null : !this$medicaidRatio.equals(other$medicaidRatio)) return false;
    final java.lang.Object this$ppsBlendYearIndicator = this.getPpsBlendYearIndicator();
    final java.lang.Object other$ppsBlendYearIndicator = other.getPpsBlendYearIndicator();
    if (this$ppsBlendYearIndicator == null ? other$ppsBlendYearIndicator != null : !this$ppsBlendYearIndicator.equals(other$ppsBlendYearIndicator)) return false;
    final java.lang.Object this$specialProviderUpdateFactor = this.getSpecialProviderUpdateFactor();
    final java.lang.Object other$specialProviderUpdateFactor = other.getSpecialProviderUpdateFactor();
    if (this$specialProviderUpdateFactor == null ? other$specialProviderUpdateFactor != null : !this$specialProviderUpdateFactor.equals(other$specialProviderUpdateFactor)) return false;
    final java.lang.Object this$disproportionateShareAdjustmentPercent = this.getDisproportionateShareAdjustmentPercent();
    final java.lang.Object other$disproportionateShareAdjustmentPercent = other.getDisproportionateShareAdjustmentPercent();
    if (this$disproportionateShareAdjustmentPercent == null ? other$disproportionateShareAdjustmentPercent != null : !this$disproportionateShareAdjustmentPercent.equals(other$disproportionateShareAdjustmentPercent)) return false;
    final java.lang.Object this$cbsaData = this.getCbsaData();
    final java.lang.Object other$cbsaData = other.getCbsaData();
    if (this$cbsaData == null ? other$cbsaData != null : !this$cbsaData.equals(other$cbsaData)) return false;
    final java.lang.Object this$passthruAmountCapital = this.getPassthruAmountCapital();
    final java.lang.Object other$passthruAmountCapital = other.getPassthruAmountCapital();
    if (this$passthruAmountCapital == null ? other$passthruAmountCapital != null : !this$passthruAmountCapital.equals(other$passthruAmountCapital)) return false;
    final java.lang.Object this$passthruAmountDirectMedicalEducation = this.getPassthruAmountDirectMedicalEducation();
    final java.lang.Object other$passthruAmountDirectMedicalEducation = other.getPassthruAmountDirectMedicalEducation();
    if (this$passthruAmountDirectMedicalEducation == null ? other$passthruAmountDirectMedicalEducation != null : !this$passthruAmountDirectMedicalEducation.equals(other$passthruAmountDirectMedicalEducation)) return false;
    final java.lang.Object this$passthruAmountOrganAcquisition = this.getPassthruAmountOrganAcquisition();
    final java.lang.Object other$passthruAmountOrganAcquisition = other.getPassthruAmountOrganAcquisition();
    if (this$passthruAmountOrganAcquisition == null ? other$passthruAmountOrganAcquisition != null : !this$passthruAmountOrganAcquisition.equals(other$passthruAmountOrganAcquisition)) return false;
    final java.lang.Object this$passthruAmountPlusMisc = this.getPassthruAmountPlusMisc();
    final java.lang.Object other$passthruAmountPlusMisc = other.getPassthruAmountPlusMisc();
    if (this$passthruAmountPlusMisc == null ? other$passthruAmountPlusMisc != null : !this$passthruAmountPlusMisc.equals(other$passthruAmountPlusMisc)) return false;
    final java.lang.Object this$capitalPpsPayCode = this.getCapitalPpsPayCode();
    final java.lang.Object other$capitalPpsPayCode = other.getCapitalPpsPayCode();
    if (this$capitalPpsPayCode == null ? other$capitalPpsPayCode != null : !this$capitalPpsPayCode.equals(other$capitalPpsPayCode)) return false;
    final java.lang.Object this$capitalPpsHospitalSpecificRate = this.getCapitalPpsHospitalSpecificRate();
    final java.lang.Object other$capitalPpsHospitalSpecificRate = other.getCapitalPpsHospitalSpecificRate();
    if (this$capitalPpsHospitalSpecificRate == null ? other$capitalPpsHospitalSpecificRate != null : !this$capitalPpsHospitalSpecificRate.equals(other$capitalPpsHospitalSpecificRate)) return false;
    final java.lang.Object this$oldCapitalHoldHarmlessRate = this.getOldCapitalHoldHarmlessRate();
    final java.lang.Object other$oldCapitalHoldHarmlessRate = other.getOldCapitalHoldHarmlessRate();
    if (this$oldCapitalHoldHarmlessRate == null ? other$oldCapitalHoldHarmlessRate != null : !this$oldCapitalHoldHarmlessRate.equals(other$oldCapitalHoldHarmlessRate)) return false;
    final java.lang.Object this$newCapitalHoldHarmlessRatio = this.getNewCapitalHoldHarmlessRatio();
    final java.lang.Object other$newCapitalHoldHarmlessRatio = other.getNewCapitalHoldHarmlessRatio();
    if (this$newCapitalHoldHarmlessRatio == null ? other$newCapitalHoldHarmlessRatio != null : !this$newCapitalHoldHarmlessRatio.equals(other$newCapitalHoldHarmlessRatio)) return false;
    final java.lang.Object this$capitalCostToChargeRatio = this.getCapitalCostToChargeRatio();
    final java.lang.Object other$capitalCostToChargeRatio = other.getCapitalCostToChargeRatio();
    if (this$capitalCostToChargeRatio == null ? other$capitalCostToChargeRatio != null : !this$capitalCostToChargeRatio.equals(other$capitalCostToChargeRatio)) return false;
    final java.lang.Object this$newHospitalIndicator = this.getNewHospitalIndicator();
    final java.lang.Object other$newHospitalIndicator = other.getNewHospitalIndicator();
    if (this$newHospitalIndicator == null ? other$newHospitalIndicator != null : !this$newHospitalIndicator.equals(other$newHospitalIndicator)) return false;
    final java.lang.Object this$capitalIndirectMedicalEducationRatio = this.getCapitalIndirectMedicalEducationRatio();
    final java.lang.Object other$capitalIndirectMedicalEducationRatio = other.getCapitalIndirectMedicalEducationRatio();
    if (this$capitalIndirectMedicalEducationRatio == null ? other$capitalIndirectMedicalEducationRatio != null : !this$capitalIndirectMedicalEducationRatio.equals(other$capitalIndirectMedicalEducationRatio)) return false;
    final java.lang.Object this$capitalExceptionPaymentRate = this.getCapitalExceptionPaymentRate();
    final java.lang.Object other$capitalExceptionPaymentRate = other.getCapitalExceptionPaymentRate();
    if (this$capitalExceptionPaymentRate == null ? other$capitalExceptionPaymentRate != null : !this$capitalExceptionPaymentRate.equals(other$capitalExceptionPaymentRate)) return false;
    final java.lang.Object this$supplementalWageIndexIndicator = this.getSupplementalWageIndexIndicator();
    final java.lang.Object other$supplementalWageIndexIndicator = other.getSupplementalWageIndexIndicator();
    if (this$supplementalWageIndexIndicator == null ? other$supplementalWageIndexIndicator != null : !this$supplementalWageIndexIndicator.equals(other$supplementalWageIndexIndicator)) return false;
    final java.lang.Object this$supplementalWageIndex = this.getSupplementalWageIndex();
    final java.lang.Object other$supplementalWageIndex = other.getSupplementalWageIndex();
    if (this$supplementalWageIndex == null ? other$supplementalWageIndex != null : !this$supplementalWageIndex.equals(other$supplementalWageIndex)) return false;
    final java.lang.Object this$valueBasedPurchaseScore = this.getValueBasedPurchaseScore();
    final java.lang.Object other$valueBasedPurchaseScore = other.getValueBasedPurchaseScore();
    if (this$valueBasedPurchaseScore == null ? other$valueBasedPurchaseScore != null : !this$valueBasedPurchaseScore.equals(other$valueBasedPurchaseScore)) return false;
    return true;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  protected boolean canEqual(final java.lang.Object other) {
    return other instanceof ProviderRecord;
  }

  @java.lang.Override
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public int hashCode() {
    final int PRIME = 59;
    int result = 1;
    result = result * PRIME + this.getIntermediaryNumber();
    result = result * PRIME + this.getCurrentCensusDivision();
    result = result * PRIME + this.getBedSize();
    final java.lang.Object $npi = this.getNpi();
    result = result * PRIME + ($npi == null ? 43 : $npi.hashCode());
    final java.lang.Object $providerNumber = this.getProviderNumber();
    result = result * PRIME + ($providerNumber == null ? 43 : $providerNumber.hashCode());
    final java.lang.Object $effectiveDate = this.getEffectiveDate();
    result = result * PRIME + ($effectiveDate == null ? 43 : $effectiveDate.hashCode());
    final java.lang.Object $fiscalYearBeginDate = this.getFiscalYearBeginDate();
    result = result * PRIME + ($fiscalYearBeginDate == null ? 43 : $fiscalYearBeginDate.hashCode());
    final java.lang.Object $fiscalYearEndDate = this.getFiscalYearEndDate();
    result = result * PRIME + ($fiscalYearEndDate == null ? 43 : $fiscalYearEndDate.hashCode());
    final java.lang.Object $reportDate = this.getReportDate();
    result = result * PRIME + ($reportDate == null ? 43 : $reportDate.hashCode());
    final java.lang.Object $terminationDate = this.getTerminationDate();
    result = result * PRIME + ($terminationDate == null ? 43 : $terminationDate.hashCode());
    final java.lang.Object $waiverCode = this.getWaiverCode();
    result = result * PRIME + ($waiverCode == null ? 43 : $waiverCode.hashCode());
    final java.lang.Object $providerType = this.getProviderType();
    result = result * PRIME + ($providerType == null ? 43 : $providerType.hashCode());
    final java.lang.Object $msaData = this.getMsaData();
    result = result * PRIME + ($msaData == null ? 43 : $msaData.hashCode());
    final java.lang.Object $soleCommunityHospitalYear = this.getSoleCommunityHospitalYear();
    result = result * PRIME + ($soleCommunityHospitalYear == null ? 43 : $soleCommunityHospitalYear.hashCode());
    final java.lang.Object $lugarReclassCode = this.getLugarReclassCode();
    result = result * PRIME + ($lugarReclassCode == null ? 43 : $lugarReclassCode.hashCode());
    final java.lang.Object $temporaryReliefIndicator = this.getTemporaryReliefIndicator();
    result = result * PRIME + ($temporaryReliefIndicator == null ? 43 : $temporaryReliefIndicator.hashCode());
    final java.lang.Object $federalPpsBlendIndicator = this.getFederalPpsBlendIndicator();
    result = result * PRIME + ($federalPpsBlendIndicator == null ? 43 : $federalPpsBlendIndicator.hashCode());
    final java.lang.Object $facilitySpecificRate = this.getFacilitySpecificRate();
    result = result * PRIME + ($facilitySpecificRate == null ? 43 : $facilitySpecificRate.hashCode());
    final java.lang.Object $costOfLivingAdjustment = this.getCostOfLivingAdjustment();
    result = result * PRIME + ($costOfLivingAdjustment == null ? 43 : $costOfLivingAdjustment.hashCode());
    final java.lang.Object $internToBedRatio = this.getInternToBedRatio();
    result = result * PRIME + ($internToBedRatio == null ? 43 : $internToBedRatio.hashCode());
    final java.lang.Object $costToChargeRatio = this.getCostToChargeRatio();
    result = result * PRIME + ($costToChargeRatio == null ? 43 : $costToChargeRatio.hashCode());
    final java.lang.Object $caseMixIndex = this.getCaseMixIndex();
    result = result * PRIME + ($caseMixIndex == null ? 43 : $caseMixIndex.hashCode());
    final java.lang.Object $ssiRatio = this.getSsiRatio();
    result = result * PRIME + ($ssiRatio == null ? 43 : $ssiRatio.hashCode());
    final java.lang.Object $medicaidRatio = this.getMedicaidRatio();
    result = result * PRIME + ($medicaidRatio == null ? 43 : $medicaidRatio.hashCode());
    final java.lang.Object $ppsBlendYearIndicator = this.getPpsBlendYearIndicator();
    result = result * PRIME + ($ppsBlendYearIndicator == null ? 43 : $ppsBlendYearIndicator.hashCode());
    final java.lang.Object $specialProviderUpdateFactor = this.getSpecialProviderUpdateFactor();
    result = result * PRIME + ($specialProviderUpdateFactor == null ? 43 : $specialProviderUpdateFactor.hashCode());
    final java.lang.Object $disproportionateShareAdjustmentPercent = this.getDisproportionateShareAdjustmentPercent();
    result = result * PRIME + ($disproportionateShareAdjustmentPercent == null ? 43 : $disproportionateShareAdjustmentPercent.hashCode());
    final java.lang.Object $cbsaData = this.getCbsaData();
    result = result * PRIME + ($cbsaData == null ? 43 : $cbsaData.hashCode());
    final java.lang.Object $passthruAmountCapital = this.getPassthruAmountCapital();
    result = result * PRIME + ($passthruAmountCapital == null ? 43 : $passthruAmountCapital.hashCode());
    final java.lang.Object $passthruAmountDirectMedicalEducation = this.getPassthruAmountDirectMedicalEducation();
    result = result * PRIME + ($passthruAmountDirectMedicalEducation == null ? 43 : $passthruAmountDirectMedicalEducation.hashCode());
    final java.lang.Object $passthruAmountOrganAcquisition = this.getPassthruAmountOrganAcquisition();
    result = result * PRIME + ($passthruAmountOrganAcquisition == null ? 43 : $passthruAmountOrganAcquisition.hashCode());
    final java.lang.Object $passthruAmountPlusMisc = this.getPassthruAmountPlusMisc();
    result = result * PRIME + ($passthruAmountPlusMisc == null ? 43 : $passthruAmountPlusMisc.hashCode());
    final java.lang.Object $capitalPpsPayCode = this.getCapitalPpsPayCode();
    result = result * PRIME + ($capitalPpsPayCode == null ? 43 : $capitalPpsPayCode.hashCode());
    final java.lang.Object $capitalPpsHospitalSpecificRate = this.getCapitalPpsHospitalSpecificRate();
    result = result * PRIME + ($capitalPpsHospitalSpecificRate == null ? 43 : $capitalPpsHospitalSpecificRate.hashCode());
    final java.lang.Object $oldCapitalHoldHarmlessRate = this.getOldCapitalHoldHarmlessRate();
    result = result * PRIME + ($oldCapitalHoldHarmlessRate == null ? 43 : $oldCapitalHoldHarmlessRate.hashCode());
    final java.lang.Object $newCapitalHoldHarmlessRatio = this.getNewCapitalHoldHarmlessRatio();
    result = result * PRIME + ($newCapitalHoldHarmlessRatio == null ? 43 : $newCapitalHoldHarmlessRatio.hashCode());
    final java.lang.Object $capitalCostToChargeRatio = this.getCapitalCostToChargeRatio();
    result = result * PRIME + ($capitalCostToChargeRatio == null ? 43 : $capitalCostToChargeRatio.hashCode());
    final java.lang.Object $newHospitalIndicator = this.getNewHospitalIndicator();
    result = result * PRIME + ($newHospitalIndicator == null ? 43 : $newHospitalIndicator.hashCode());
    final java.lang.Object $capitalIndirectMedicalEducationRatio = this.getCapitalIndirectMedicalEducationRatio();
    result = result * PRIME + ($capitalIndirectMedicalEducationRatio == null ? 43 : $capitalIndirectMedicalEducationRatio.hashCode());
    final java.lang.Object $capitalExceptionPaymentRate = this.getCapitalExceptionPaymentRate();
    result = result * PRIME + ($capitalExceptionPaymentRate == null ? 43 : $capitalExceptionPaymentRate.hashCode());
    final java.lang.Object $supplementalWageIndexIndicator = this.getSupplementalWageIndexIndicator();
    result = result * PRIME + ($supplementalWageIndexIndicator == null ? 43 : $supplementalWageIndexIndicator.hashCode());
    final java.lang.Object $supplementalWageIndex = this.getSupplementalWageIndex();
    result = result * PRIME + ($supplementalWageIndex == null ? 43 : $supplementalWageIndex.hashCode());
    final java.lang.Object $valueBasedPurchaseScore = this.getValueBasedPurchaseScore();
    result = result * PRIME + ($valueBasedPurchaseScore == null ? 43 : $valueBasedPurchaseScore.hashCode());
    return result;
  }

  @java.lang.Override
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public java.lang.String toString() {
    return "ProviderRecord(npi=" + this.getNpi() + ", providerNumber=" + this.getProviderNumber() + ", effectiveDate=" + this.getEffectiveDate() + ", fiscalYearBeginDate=" + this.getFiscalYearBeginDate() + ", fiscalYearEndDate=" + this.getFiscalYearEndDate() + ", reportDate=" + this.getReportDate() + ", terminationDate=" + this.getTerminationDate() + ", waiverCode=" + this.getWaiverCode() + ", providerType=" + this.getProviderType() + ", intermediaryNumber=" + this.getIntermediaryNumber() + ", currentCensusDivision=" + this.getCurrentCensusDivision() + ", msaData=" + this.getMsaData() + ", soleCommunityHospitalYear=" + this.getSoleCommunityHospitalYear() + ", lugarReclassCode=" + this.getLugarReclassCode() + ", temporaryReliefIndicator=" + this.getTemporaryReliefIndicator() + ", federalPpsBlendIndicator=" + this.getFederalPpsBlendIndicator() + ", facilitySpecificRate=" + this.getFacilitySpecificRate() + ", costOfLivingAdjustment=" + this.getCostOfLivingAdjustment() + ", internToBedRatio=" + this.getInternToBedRatio() + ", bedSize=" + this.getBedSize() + ", costToChargeRatio=" + this.getCostToChargeRatio() + ", caseMixIndex=" + this.getCaseMixIndex() + ", ssiRatio=" + this.getSsiRatio() + ", medicaidRatio=" + this.getMedicaidRatio() + ", ppsBlendYearIndicator=" + this.getPpsBlendYearIndicator() + ", specialProviderUpdateFactor=" + this.getSpecialProviderUpdateFactor() + ", disproportionateShareAdjustmentPercent=" + this.getDisproportionateShareAdjustmentPercent() + ", cbsaData=" + this.getCbsaData() + ", passthruAmountCapital=" + this.getPassthruAmountCapital() + ", passthruAmountDirectMedicalEducation=" + this.getPassthruAmountDirectMedicalEducation() + ", passthruAmountOrganAcquisition=" + this.getPassthruAmountOrganAcquisition() + ", passthruAmountPlusMisc=" + this.getPassthruAmountPlusMisc() + ", capitalPpsPayCode=" + this.getCapitalPpsPayCode() + ", capitalPpsHospitalSpecificRate=" + this.getCapitalPpsHospitalSpecificRate() + ", oldCapitalHoldHarmlessRate=" + this.getOldCapitalHoldHarmlessRate() + ", newCapitalHoldHarmlessRatio=" + this.getNewCapitalHoldHarmlessRatio() + ", capitalCostToChargeRatio=" + this.getCapitalCostToChargeRatio() + ", newHospitalIndicator=" + this.getNewHospitalIndicator() + ", capitalIndirectMedicalEducationRatio=" + this.getCapitalIndirectMedicalEducationRatio() + ", capitalExceptionPaymentRate=" + this.getCapitalExceptionPaymentRate() + ", supplementalWageIndexIndicator=" + this.getSupplementalWageIndexIndicator() + ", supplementalWageIndex=" + this.getSupplementalWageIndex() + ", valueBasedPurchaseScore=" + this.getValueBasedPurchaseScore() + ")";
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public ProviderRecord() {
  }
}
