// Generated by delombok at Mon Oct 04 14:27:44 EDT 2021
package gov.cms.fiss.pricers.irf.core;

import gov.cms.fiss.pricers.common.api.InternalPricerException;
import gov.cms.fiss.pricers.common.api.YearNotImplementedException;
import gov.cms.fiss.pricers.common.application.ClaimProcessor;
import gov.cms.fiss.pricers.common.application.PricerDispatch;
import gov.cms.fiss.pricers.irf.IrfPricerConfiguration;
import gov.cms.fiss.pricers.irf.api.IrfInput;
import gov.cms.fiss.pricers.irf.api.IrfOutput;
import gov.cms.fiss.pricers.irf.core.tables.DataTables;
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;

public class IrfPricerDispatch extends PricerDispatch<IrfInput, IrfOutput, IrfPricerConfiguration> {
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  private static final org.slf4j.Logger LOGGER = org.slf4j.LoggerFactory.getLogger(IrfPricerDispatch.class);

  public IrfPricerDispatch(IrfPricerConfiguration pricerConfiguration) {
    super(pricerConfiguration, o -> Integer.toString(o.getRecord().getResult().getCode()));
  }

  @Override
  protected void initializeReferences(IrfPricerConfiguration pricerConfiguration) {
    DataTables.loadDataTables(pricerConfiguration);
    for (final int supportedYear : pricerConfiguration.getSupportedYears()) {
      switch (supportedYear) {
      case 2015: 
        yearReference.register(supportedYear, Irf2015RulePricer.class, DataTables.forYear(supportedYear));
        break;
      case 2016: 
        yearReference.register(supportedYear, Irf2016RulePricer.class, DataTables.forYear(supportedYear));
        break;
      case 2017: 
        yearReference.register(supportedYear, Irf2017RulePricer.class, DataTables.forYear(supportedYear));
        break;
      case 2018: 
        yearReference.register(supportedYear, Irf2018RulePricer.class, DataTables.forYear(supportedYear));
        break;
      case 2019: 
        yearReference.register(supportedYear, Irf2019RulePricer.class, DataTables.forYear(supportedYear));
        break;
      case 2020: 
        yearReference.register(supportedYear, Irf2020RulePricer.class, DataTables.forYear(supportedYear));
        break;
      case 2021: 
        yearReference.register(supportedYear, Irf2021RulePricer.class, DataTables.forYear(supportedYear));
        break;
      case 2022: 
        yearReference.register(supportedYear, Irf2022RulePricer.class, DataTables.forYear(supportedYear));
        break;
      default: 
        break;
      }
    }
  }

  @Override
  protected ClaimProcessor<IrfInput, IrfOutput> getProcessor(IrfInput input) throws YearNotImplementedException, InternalPricerException {
    return yearReference.fromFiscalYear(DateTimeFormatter.BASIC_ISO_DATE.parse(input.getBillingRecord().getDischargeDate(), LocalDate::from), "dischargeDate");
  }

  @Override
  protected boolean isErrorOutput(IrfOutput output) {
    return output.getRecord().getResult().getResultCode().isError();
  }
}
