package gov.cms.fiss.pricers.irf.core;

import gov.cms.fiss.pricers.common.application.rules.CalculationEvaluator;
import gov.cms.fiss.pricers.common.application.rules.CalculationRule;
import gov.cms.fiss.pricers.common.application.rules.RuleContextExecutor;
import gov.cms.fiss.pricers.irf.api.IrfInput;
import gov.cms.fiss.pricers.irf.api.IrfOutput;
import gov.cms.fiss.pricers.irf.core.tables.DataTables;
import java.util.List;

public abstract class IrfRulePricer
    extends RuleContextExecutor<IrfInput, IrfOutput, IrfPricerContext> {
  protected final DataTables dataTables;

  protected IrfRulePricer(
      DataTables dataTables, List<CalculationRule<IrfInput, IrfOutput, IrfPricerContext>> rules) {
    super(new CalculationEvaluator<>(rules));
    this.dataTables = dataTables;
  }
}
