// Generated by delombok at Mon Oct 04 14:27:44 EDT 2021
package gov.cms.fiss.pricers.irf.core.tables;

import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import gov.cms.fiss.pricers.irf.core.tables.CbsaTableEntry.Fields;
import java.math.BigDecimal;
import java.time.LocalDate;
import javax.validation.constraints.DecimalMax;
import javax.validation.constraints.DecimalMin;
import javax.validation.constraints.Digits;
import javax.validation.constraints.Pattern;

@JsonPropertyOrder({Fields.CBSA, Fields.EFFECTIVE_DATE, Fields.WAGE_INDEX})
public class CbsaTableEntry {
  /**
   * Corresponds to {@code W-NEW-CBSA PIC X(5)} from the COBOL source.
   */
  @Pattern(regexp = "\\d{2}|\\d{5}")
  private String cbsa;
  /**
   * Corresponds to {@code W-NEW-EFF-DATE-C PIC X(8)} from the COBOL source.
   */
  private LocalDate effectiveDate;
  /**
   * Corresponds to {@code W-NEW-WAGE-INDEX-C PIC S9(02)V9(04)} from the COBOL source.
   */
  @Digits(integer = 2, fraction = 4)
  @DecimalMin("0.0")
  @DecimalMax("99.9999")
  private BigDecimal wageIndex;

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public CbsaTableEntry(final String cbsa, final LocalDate effectiveDate, final BigDecimal wageIndex) {
    this.cbsa = cbsa;
    this.effectiveDate = effectiveDate;
    this.wageIndex = wageIndex;
  }

  /**
   * Corresponds to {@code W-NEW-CBSA PIC X(5)} from the COBOL source.
   */
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public String getCbsa() {
    return this.cbsa;
  }

  /**
   * Corresponds to {@code W-NEW-EFF-DATE-C PIC X(8)} from the COBOL source.
   */
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public LocalDate getEffectiveDate() {
    return this.effectiveDate;
  }

  /**
   * Corresponds to {@code W-NEW-WAGE-INDEX-C PIC S9(02)V9(04)} from the COBOL source.
   */
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public BigDecimal getWageIndex() {
    return this.wageIndex;
  }

  /**
   * Corresponds to {@code W-NEW-CBSA PIC X(5)} from the COBOL source.
   */
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setCbsa(final String cbsa) {
    this.cbsa = cbsa;
  }

  /**
   * Corresponds to {@code W-NEW-EFF-DATE-C PIC X(8)} from the COBOL source.
   */
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setEffectiveDate(final LocalDate effectiveDate) {
    this.effectiveDate = effectiveDate;
  }

  /**
   * Corresponds to {@code W-NEW-WAGE-INDEX-C PIC S9(02)V9(04)} from the COBOL source.
   */
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setWageIndex(final BigDecimal wageIndex) {
    this.wageIndex = wageIndex;
  }

  @java.lang.Override
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public boolean equals(final java.lang.Object o) {
    if (o == this) return true;
    if (!(o instanceof CbsaTableEntry)) return false;
    final CbsaTableEntry other = (CbsaTableEntry) o;
    if (!other.canEqual((java.lang.Object) this)) return false;
    final java.lang.Object this$cbsa = this.getCbsa();
    final java.lang.Object other$cbsa = other.getCbsa();
    if (this$cbsa == null ? other$cbsa != null : !this$cbsa.equals(other$cbsa)) return false;
    final java.lang.Object this$effectiveDate = this.getEffectiveDate();
    final java.lang.Object other$effectiveDate = other.getEffectiveDate();
    if (this$effectiveDate == null ? other$effectiveDate != null : !this$effectiveDate.equals(other$effectiveDate)) return false;
    final java.lang.Object this$wageIndex = this.getWageIndex();
    final java.lang.Object other$wageIndex = other.getWageIndex();
    if (this$wageIndex == null ? other$wageIndex != null : !this$wageIndex.equals(other$wageIndex)) return false;
    return true;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  protected boolean canEqual(final java.lang.Object other) {
    return other instanceof CbsaTableEntry;
  }

  @java.lang.Override
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public int hashCode() {
    final int PRIME = 59;
    int result = 1;
    final java.lang.Object $cbsa = this.getCbsa();
    result = result * PRIME + ($cbsa == null ? 43 : $cbsa.hashCode());
    final java.lang.Object $effectiveDate = this.getEffectiveDate();
    result = result * PRIME + ($effectiveDate == null ? 43 : $effectiveDate.hashCode());
    final java.lang.Object $wageIndex = this.getWageIndex();
    result = result * PRIME + ($wageIndex == null ? 43 : $wageIndex.hashCode());
    return result;
  }

  @java.lang.Override
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public java.lang.String toString() {
    return "CbsaTableEntry(cbsa=" + this.getCbsa() + ", effectiveDate=" + this.getEffectiveDate() + ", wageIndex=" + this.getWageIndex() + ")";
  }


  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public static final class Fields {
    public static final java.lang.String CBSA = "cbsa";
    public static final java.lang.String EFFECTIVE_DATE = "effectiveDate";
    public static final java.lang.String WAGE_INDEX = "wageIndex";
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public CbsaTableEntry() {
  }
}
