// Generated by delombok at Mon Oct 04 14:27:44 EDT 2021
package gov.cms.fiss.pricers.irf.core.tables;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import gov.cms.fiss.pricers.irf.core.tables.CmgTableEntry.Fields;
import javax.validation.constraints.Digits;
import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.Pattern;

@JsonPropertyOrder({Fields.CMG_CODE, Fields.B_RELATIVE_WEIGHT, Fields.C_RELATIVE_WEIGHT, Fields.D_RELATIVE_WEIGHT, Fields.A_RELATIVE_WEIGHT, Fields.B_AVG_LENGTH_OF_STAY, Fields.C_AVG_LENGTH_OF_STAY, Fields.D_AVG_LENGTH_OF_STAY, Fields.A_AVG_LENGTH_OF_STAY})
public class CmgTableEntry {
  /**
   * Corresponds to {@code CMG-NUM PIC X(4)} from the COBOL source.
   */
  @Pattern(regexp = "\\d{4}")
  private String cmgCode;
  // This annotation is required throughout to ensure the Jackson-generated column names match
  // those from Lombok
  /**
   * Corresponds to {@code A-LOS-TABLE PIC 9(2)} from the COBOL source.
   */
  @JsonProperty(Fields.A_AVG_LENGTH_OF_STAY)
  @Min(0)
  @Max(99)
  private int aAvgLengthOfStay;
  /**
   * Corresponds to {@code A-REL-WGT PIC 9(1)V9(4)} from the COBOL source.
   */
  @JsonProperty(Fields.A_RELATIVE_WEIGHT)
  @Digits(integer = 1, fraction = 4)
  private double aRelativeWeight;
  /**
   * Corresponds to {@code B-LOS-TABLE PIC 9(2)} from the COBOL source.
   */
  @JsonProperty(Fields.B_AVG_LENGTH_OF_STAY)
  @Min(0)
  @Max(99)
  private int bAvgLengthOfStay;
  /**
   * Corresponds to {@code B-REL-WGT PIC 9(1)V9(4)} from the COBOL source.
   */
  @JsonProperty(Fields.B_RELATIVE_WEIGHT)
  @Digits(integer = 1, fraction = 4)
  private double bRelativeWeight;
  /**
   * Corresponds to {@code C-LOS-TABLE PIC 9(2)} from the COBOL source.
   */
  @JsonProperty(Fields.C_AVG_LENGTH_OF_STAY)
  @Min(0)
  @Max(99)
  private int cAvgLengthOfStay;
  /**
   * Corresponds to {@code C-REL-WGT PIC 9(1)V9(4)} from the COBOL source.
   */
  @JsonProperty(Fields.C_RELATIVE_WEIGHT)
  @Digits(integer = 1, fraction = 4)
  private double cRelativeWeight;
  /**
   * Corresponds to {@code D-LOS-TABLE PIC 9(2)} from the COBOL source.
   */
  @JsonProperty(Fields.D_AVG_LENGTH_OF_STAY)
  @Min(0)
  @Max(99)
  private int dAvgLengthOfStay;
  /**
   * Corresponds to {@code D-REL-WGT PIC 9(1)V9(4)} from the COBOL source.
   */
  @JsonProperty(Fields.D_RELATIVE_WEIGHT)
  @Digits(integer = 1, fraction = 4)
  private double dRelativeWeight;

  /**
   * Corresponds to {@code CMG-NUM PIC X(4)} from the COBOL source.
   */
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public String getCmgCode() {
    return this.cmgCode;
  }

  /**
   * Corresponds to {@code A-LOS-TABLE PIC 9(2)} from the COBOL source.
   */
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public int getAAvgLengthOfStay() {
    return this.aAvgLengthOfStay;
  }

  /**
   * Corresponds to {@code A-REL-WGT PIC 9(1)V9(4)} from the COBOL source.
   */
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public double getARelativeWeight() {
    return this.aRelativeWeight;
  }

  /**
   * Corresponds to {@code B-LOS-TABLE PIC 9(2)} from the COBOL source.
   */
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public int getBAvgLengthOfStay() {
    return this.bAvgLengthOfStay;
  }

  /**
   * Corresponds to {@code B-REL-WGT PIC 9(1)V9(4)} from the COBOL source.
   */
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public double getBRelativeWeight() {
    return this.bRelativeWeight;
  }

  /**
   * Corresponds to {@code C-LOS-TABLE PIC 9(2)} from the COBOL source.
   */
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public int getCAvgLengthOfStay() {
    return this.cAvgLengthOfStay;
  }

  /**
   * Corresponds to {@code C-REL-WGT PIC 9(1)V9(4)} from the COBOL source.
   */
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public double getCRelativeWeight() {
    return this.cRelativeWeight;
  }

  /**
   * Corresponds to {@code D-LOS-TABLE PIC 9(2)} from the COBOL source.
   */
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public int getDAvgLengthOfStay() {
    return this.dAvgLengthOfStay;
  }

  /**
   * Corresponds to {@code D-REL-WGT PIC 9(1)V9(4)} from the COBOL source.
   */
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public double getDRelativeWeight() {
    return this.dRelativeWeight;
  }

  /**
   * Corresponds to {@code CMG-NUM PIC X(4)} from the COBOL source.
   */
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setCmgCode(final String cmgCode) {
    this.cmgCode = cmgCode;
  }

  /**
   * Corresponds to {@code A-LOS-TABLE PIC 9(2)} from the COBOL source.
   */
  @JsonProperty(Fields.A_AVG_LENGTH_OF_STAY)
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setAAvgLengthOfStay(final int aAvgLengthOfStay) {
    this.aAvgLengthOfStay = aAvgLengthOfStay;
  }

  /**
   * Corresponds to {@code A-REL-WGT PIC 9(1)V9(4)} from the COBOL source.
   */
  @JsonProperty(Fields.A_RELATIVE_WEIGHT)
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setARelativeWeight(final double aRelativeWeight) {
    this.aRelativeWeight = aRelativeWeight;
  }

  /**
   * Corresponds to {@code B-LOS-TABLE PIC 9(2)} from the COBOL source.
   */
  @JsonProperty(Fields.B_AVG_LENGTH_OF_STAY)
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setBAvgLengthOfStay(final int bAvgLengthOfStay) {
    this.bAvgLengthOfStay = bAvgLengthOfStay;
  }

  /**
   * Corresponds to {@code B-REL-WGT PIC 9(1)V9(4)} from the COBOL source.
   */
  @JsonProperty(Fields.B_RELATIVE_WEIGHT)
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setBRelativeWeight(final double bRelativeWeight) {
    this.bRelativeWeight = bRelativeWeight;
  }

  /**
   * Corresponds to {@code C-LOS-TABLE PIC 9(2)} from the COBOL source.
   */
  @JsonProperty(Fields.C_AVG_LENGTH_OF_STAY)
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setCAvgLengthOfStay(final int cAvgLengthOfStay) {
    this.cAvgLengthOfStay = cAvgLengthOfStay;
  }

  /**
   * Corresponds to {@code C-REL-WGT PIC 9(1)V9(4)} from the COBOL source.
   */
  @JsonProperty(Fields.C_RELATIVE_WEIGHT)
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setCRelativeWeight(final double cRelativeWeight) {
    this.cRelativeWeight = cRelativeWeight;
  }

  /**
   * Corresponds to {@code D-LOS-TABLE PIC 9(2)} from the COBOL source.
   */
  @JsonProperty(Fields.D_AVG_LENGTH_OF_STAY)
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setDAvgLengthOfStay(final int dAvgLengthOfStay) {
    this.dAvgLengthOfStay = dAvgLengthOfStay;
  }

  /**
   * Corresponds to {@code D-REL-WGT PIC 9(1)V9(4)} from the COBOL source.
   */
  @JsonProperty(Fields.D_RELATIVE_WEIGHT)
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public void setDRelativeWeight(final double dRelativeWeight) {
    this.dRelativeWeight = dRelativeWeight;
  }

  @java.lang.Override
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public boolean equals(final java.lang.Object o) {
    if (o == this) return true;
    if (!(o instanceof CmgTableEntry)) return false;
    final CmgTableEntry other = (CmgTableEntry) o;
    if (!other.canEqual((java.lang.Object) this)) return false;
    if (this.getAAvgLengthOfStay() != other.getAAvgLengthOfStay()) return false;
    if (java.lang.Double.compare(this.getARelativeWeight(), other.getARelativeWeight()) != 0) return false;
    if (this.getBAvgLengthOfStay() != other.getBAvgLengthOfStay()) return false;
    if (java.lang.Double.compare(this.getBRelativeWeight(), other.getBRelativeWeight()) != 0) return false;
    if (this.getCAvgLengthOfStay() != other.getCAvgLengthOfStay()) return false;
    if (java.lang.Double.compare(this.getCRelativeWeight(), other.getCRelativeWeight()) != 0) return false;
    if (this.getDAvgLengthOfStay() != other.getDAvgLengthOfStay()) return false;
    if (java.lang.Double.compare(this.getDRelativeWeight(), other.getDRelativeWeight()) != 0) return false;
    final java.lang.Object this$cmgCode = this.getCmgCode();
    final java.lang.Object other$cmgCode = other.getCmgCode();
    if (this$cmgCode == null ? other$cmgCode != null : !this$cmgCode.equals(other$cmgCode)) return false;
    return true;
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  protected boolean canEqual(final java.lang.Object other) {
    return other instanceof CmgTableEntry;
  }

  @java.lang.Override
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public int hashCode() {
    final int PRIME = 59;
    int result = 1;
    result = result * PRIME + this.getAAvgLengthOfStay();
    final long $aRelativeWeight = java.lang.Double.doubleToLongBits(this.getARelativeWeight());
    result = result * PRIME + (int) ($aRelativeWeight >>> 32 ^ $aRelativeWeight);
    result = result * PRIME + this.getBAvgLengthOfStay();
    final long $bRelativeWeight = java.lang.Double.doubleToLongBits(this.getBRelativeWeight());
    result = result * PRIME + (int) ($bRelativeWeight >>> 32 ^ $bRelativeWeight);
    result = result * PRIME + this.getCAvgLengthOfStay();
    final long $cRelativeWeight = java.lang.Double.doubleToLongBits(this.getCRelativeWeight());
    result = result * PRIME + (int) ($cRelativeWeight >>> 32 ^ $cRelativeWeight);
    result = result * PRIME + this.getDAvgLengthOfStay();
    final long $dRelativeWeight = java.lang.Double.doubleToLongBits(this.getDRelativeWeight());
    result = result * PRIME + (int) ($dRelativeWeight >>> 32 ^ $dRelativeWeight);
    final java.lang.Object $cmgCode = this.getCmgCode();
    result = result * PRIME + ($cmgCode == null ? 43 : $cmgCode.hashCode());
    return result;
  }

  @java.lang.Override
  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public java.lang.String toString() {
    return "CmgTableEntry(cmgCode=" + this.getCmgCode() + ", aAvgLengthOfStay=" + this.getAAvgLengthOfStay() + ", aRelativeWeight=" + this.getARelativeWeight() + ", bAvgLengthOfStay=" + this.getBAvgLengthOfStay() + ", bRelativeWeight=" + this.getBRelativeWeight() + ", cAvgLengthOfStay=" + this.getCAvgLengthOfStay() + ", cRelativeWeight=" + this.getCRelativeWeight() + ", dAvgLengthOfStay=" + this.getDAvgLengthOfStay() + ", dRelativeWeight=" + this.getDRelativeWeight() + ")";
  }


  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public static final class Fields {
    public static final java.lang.String CMG_CODE = "cmgCode";
    public static final java.lang.String A_AVG_LENGTH_OF_STAY = "aAvgLengthOfStay";
    public static final java.lang.String A_RELATIVE_WEIGHT = "aRelativeWeight";
    public static final java.lang.String B_AVG_LENGTH_OF_STAY = "bAvgLengthOfStay";
    public static final java.lang.String B_RELATIVE_WEIGHT = "bRelativeWeight";
    public static final java.lang.String C_AVG_LENGTH_OF_STAY = "cAvgLengthOfStay";
    public static final java.lang.String C_RELATIVE_WEIGHT = "cRelativeWeight";
    public static final java.lang.String D_AVG_LENGTH_OF_STAY = "dAvgLengthOfStay";
    public static final java.lang.String D_RELATIVE_WEIGHT = "dRelativeWeight";
  }

  @java.lang.SuppressWarnings("all")
  @lombok.Generated
  public CmgTableEntry() {
  }
}
